module Experian
  class DataDictionary
    def self.en_0103_column_name
      'Gender Code'
    end

    def self.en_0103_description
      'Gender information is applied during the convert prior to enhancement. Approximately five to eight percent of the client records are coded as gender unknown because of ambiguous or unisex names. Records coded as gender both include those with prefixes of Mr. & Mrs. and/or first names like John & Mary.'
    end

    def self.en_0103_value_description(_key)
      ''
    end

    def self.en_0103(key)
      values = {
        'M' => 'Male',
        'F' => 'Female',
        'B' => 'Both',
        'U' => 'Unknown'
      }
      key.empty? ? 'Unknown' : values[key]
    end
  end
end
