module Experian
  class DataDictionary
    def self.en_0107a_column_name
      'Marital Status'
    end

    def self.en_0107a_description
      'Marital status is determined based on the composition of the Living unit or through the application of a predictive model. Note: Single refers to an individual that has never married and not single because of divorce or spouse\'s death.'
    end

    def self.en_0107a_value_description(_key)
      ''
    end

    def self.en_0107a(key)
      likely = {
        '1' => 'Extremely Likely',
        '5' => 'Likely',
        '0' => 'Unknown'
      }
      marital_status = {
        'M' => 'Married',
        'S' => 'Single',
        'U' => 'Unknown Status'
      }
      return 'Unknown' if key.size != 2 || marital_status[key[1]].nil? || likely[key[0]].nil?
      [marital_status[key[1]], likely[key[0]]].join(' - ')
    end
  end
end
