module Experian
  class DataDictionary
    # Country of Origin
    def self.en_0108c_column_name
      'Country of Origin'
    end

    def self.en_0108c_value_description(_key)
      ''
    end

    def self.en_0108c_description
      'Indicates Country of Origin using a sophisticated program that analyzes first name, last name, expert system rules and geography.'
    end

    # Ethnicity Detail
    def self.en_0108d_column_name
      'Ethnicity Detail'
    end

    def self.en_0108d_value_description(_key)
      ''
    end

    def self.en_0108d_description
      'Indicates the likely ethnicity using a sophisticated program that analyzes first name, last name, expert system rules and geography.'
    end

    # Ethnicity Insight
    def self.en_0108e_column_name
      'Ethnic Insight'
    end

    def self.en_0108e_value_description(_key)
      ''
    end

    def self.en_0108e_description
      'Ethnic Insight Elements. Ethnic Insight is a comprehensive predictive name analysis process which identifies ethnic origin, probable religion, and the language preference of individuals. Experian can now code and identify 177 ethnicities, 33 groups, 10 religions, 79 language groups and 22 Country of Origin codes.The Ethnic Insight software utilizes over 550,000 surnames by ethnicity, over 75,000 first names unique to a given ethnicity, and over 3000 expert system rules. Also utilized are a group of geographic reference tables for determining the proper codes to apply to an individual. Each record passed through the process uses the above files as references while examining the individuals first name, last names, and the zip code of the record. Note: Element 0108E calls elements 0108C, 0108D, 0108G, 0108L, 0108R, 0108T'
    end

    # Ethnic Group Code
    def self.en_0108g_column_name
      'Ethnic Group Code'
    end

    def self.en_0108g_value_description(_key)
      ''
    end

    def self.en_0108g_description
      'Experian derived code that groups ethnicities in general categories.'
    end

    # Language
    def self.en_0108l_column_name
      'Language'
    end

    def self.en_0108l_value_description(_key)
      ''
    end

    def self.en_0108l_description
      'Ethnic Insight Language indicates the language preference.'
    end

    # Religion
    def self.en_0108r_column_name
      'Religion'
    end

    def self.en_0108r_value_description(_key)
      ''
    end

    def self.en_0108r_description
      'Ethnic Insights Religion indicates the likely religion.'
    end

    # e-Tech Group
    def self.en_0108t_column_name
      'e-Tech Group'
    end

    def self.en_0108t_value_description(_key)
      ''
    end

    def self.en_0108t_description
      'e-Tech derived code that groups ethnicities in general categories.'
    end

    def self.en_0108c(key)
      values = {
        '00' => 'Unknown',
        '01' => 'Mexico',
        '02' => 'Cuba',
        '03' => 'Puerto Rico',
        '04' => 'Nicaragua',
        '05' => 'Dominican Republic',
        '06' => 'Colombia',
        '07' => 'Honduras',
        '08' => 'Guatemala',
        '09' => 'El Salvador',
        '10' => 'Costa Rica',
        '11' => 'Panama',
        '12' => 'Ecuador',
        '13' => 'Venezuela',
        '14' => 'Argentina',
        '15' => 'Chile',
        '16' => 'Peru',
        '17' => 'Bolivia',
        '18' => 'Uruguay',
        '19' => 'Paraguay',
        '20' => 'Spain',
        '22' => 'Brazil'
      }
      key.empty? ? 'Unknown' : values[key]
    end

    def self.en_0108d(key)
      values = {
        '00' => 'Unknown',
        '01' => 'English',
        '02' => 'Scottish',
        '03' => 'Danish',
        '04' => 'Swedish',
        '05' => 'Norwegian',
        '06' => 'Finnish',
        '07' => 'Icelandic',
        '08' => 'Dutch',
        '09' => 'Belgian',
        '10' => 'German',
        '11' => 'Austrian',
        '12' => 'Hungarian',
        '13' => 'Czech',
        '14' => 'Slovak',
        '15' => 'Irish',
        '16' => 'Welsh',
        '17' => 'French',
        '18' => 'Swiss',
        '19' => 'Italian',
        '20' => 'Hispanic',
        '21' => 'Portuguese',
        '22' => 'Polish',
        '23' => 'Estonian',
        '24' => 'Latvian',
        '25' => 'Lithuanian',
        '26' => 'Ukrainian',
        '27' => 'Georgian',
        '28' => 'Byelorussian',
        '29' => 'Armenian',
        '30' => 'Russian',
        '31' => 'Turkish',
        '32' => 'Kurdish',
        '33' => 'Greek',
        '34' => 'Persian',

        '35' => 'Moldovan',
        '36' => 'Bulgarian',
        '37' => 'Romanian',
        '38' => 'Albanian',
        '39' => 'Native American',
        '40' => 'Slovenian',
        '41' => 'Croatian',
        '42' => 'Serbian',
        '43' => 'Bosniak',
        '44' => 'Azerbaijani',
        '45' => 'Kazakh',
        '46' => 'Afghan',
        '47' => 'Pakistani',
        '48' => 'Bangladeshi',
        '49' => 'Indonesian',
        '50' => 'Indian',
        '51' => 'Burmese (Myanmar)',
        '52' => 'Mongolian',
        '53' => 'Chinese',
        '56' => 'Korean',
        '57' => 'Japanese',
        '58' => 'Thai',
        '59' => 'Malay',
        '60' => 'Laotian',
        '61' => 'Khmer',
        '62' => 'Vietnamese',
        '63' => 'Sri Lankan',
        '64' => 'Uzbek',
        '65' => 'Other Asian',
        '66' => 'Jewish',
        '67' => 'Aleut',
        '68' => 'Hebrew',
        '70' => 'Arab',
        '72' => 'Turkmen',
        '73' => 'Tajik',
        '74' => 'Kirghiz',
        '75' => 'Saudi',
        '76' => 'Iraqi',
        '77' => 'Libyan',
        '78' => 'Egyptian',
        '79' => 'Rwandan',
        '80' => 'Tongan',
        '81' => 'Senegalese',
        '82' => 'Malawian',
        '83' => 'Sudanese',
        '84' => 'Moroccan',
        '85' => 'African American',
        '86' => 'Kenyan',
        '87' => 'Nigerian (Nigeria)',
        '88' => 'Ghanaian',
        '89' => 'Zambian',
        '90' => 'Congolese (DRG)',
        '91' => 'Surinamese',
        '92' => 'Mozambican (Mozambique)',
        '93' => 'Ivorian (Ivory Coast)',
        '94' => 'Bhutanese',
        '95' => 'Ethiopian',
        '96' => 'Ugandan',
        '97' => 'Batswana (Botswana)',
        '98' => 'Cameroonian',
        '99' => 'Zimbabwean',
        '7A' => 'Hindu',
        '7B' => 'Djiboutian',
        '7C' => 'Manx',
        '7D' => 'Telugu',
        '7E' => 'Nepalese',
        '7F' => 'Samoan',
        '7G' => 'Mauritanian',
        '7H' => 'Native American Inuit',
        '8A' => 'Congolese',
        '8B' => 'Central African (Central African Republic)',
        '8C' => 'Togolese',
        '8D' => 'Bahraini',
        '8E' => 'Qatari',
        '8F' => 'Guyanese',
        '8G' => 'Tibetan',
        '8H' => 'Fijian',
        '8I' => 'Swazi',
        '8J' => 'Zulu',
        '8K' => 'Xhosa',
        '8L' => 'Basotho',
        '8M' => 'South African',
        '8N' => 'Liberian',
        '8O' => 'Comoran',
        '8P' => 'Beninese',
        '8Q' => 'Burkinabe (Burkina Faso)',
        '8R' => 'Nigerien (Niger)',
        '8S' => 'Ashanti',
        '8T' => 'Swahili',
        '8U' => 'Haitian',
        '8V' => 'Malian',
        '8W' => 'Jamaican',
        '8X' => 'Hausa',
        '8Y' => 'Pili',
        '9A' => 'Namibian',
        '9B' => 'Burundi',
        '9C' => 'Tanzanian',
        '9D' => 'Gambian',
        '9E' => 'Somali',
        '9F' => 'Macedonian',
        '9G' => 'Chadian',
        '9H' => 'Gabonese',
        '9I' => 'Angolan',
        '9J' => 'Chechen',
        '9K' => 'Igbo',
        '9L' => 'Yoruba',
        '9M' => 'Algerian',
        '9N' => 'Filipino',
        '9O' => 'Sotho (Lesotho)',
        '9P' => 'Tunisian',
        '9Q' => 'Hawaiian',
        '9R' => 'Malagasy (Madagascar)',
        '9S' => 'Basque',
        '9T' => 'Siere Leonean',
        '9U' => 'Kuwaiti',
        '9V' => 'Yemeni',
        '9W' => 'Guinean (Guinea-Bissau)',
        '9X' => 'Papua New Guinean',
        '9Y' => 'Equatorial Guinean',
        '9Z' => 'Syrian',
        'A1' => 'African American (Arabic Surname), 80%+',
        'A2' => 'African American (Arabic Surname), 70-79%',
        'A3' => 'African American (Arabic Surname), 60-69%',
        'A4' => 'African American (Arabic Surname), 50-59%',
        'A5' => 'African American (Arabic Surname), 30-49%',
        'D1' => 'African American (Dutch Surname), 80%+',
        'D2' => 'African American (Dutch Surname), 70-79%',
        'D3' => 'African American (Dutch Surname), 60-69%',
        'D4' => 'African American (Dutch Surname), 50-59%',
        'D5' => 'African American (Dutch Surname), 30-49%',
        'E1' => 'African American (English Surname), 80%+',
        'E2' => 'African American (English Surname), 70-79%',
        'E3' => 'African American (English Surname), 60-69%',
        'E4' => 'African American (English Surname), 50-59%',
        'E5' => 'African American (English Surname), 30-49%',
        'F1' => 'African American (French Surname), 80%+',
        'F2' => 'African American (French Surname), 70-79%',
        'F3' => 'African American (French Surname), 60-69%',
        'F4' => 'African American (French Surname), 50-59%',
        'F5' => 'African American (French Surname), 30-49%',
        'I1' => 'African American (Irish Surname), 80%+',
        'I2' => 'African American (Irish Surname), 70-79%',
        'I3' => 'African American (Irish Surname), 60-69%',
        'I4' => 'African American (Irish Surname), 50-59%',
        'I5' => 'African American (Irish Surname), 30-49%',
        'S1' => 'African American (Scotch Surname), 80%+',
        'S2' => 'African American (Scotch Surname), 70-79%',
        'S3' => 'African American (Scotch Surname), 60-69%',
        'S4' => 'African American (Scotch Surname), 50-59%',
        'S5' => 'African American (Scotch Surname), 30-49%',
        'U1' => 'African American (Unknown Surname), 80%+',
        'U2' => 'African American (Unknown Surname), 70-79%',
        'U3' => 'African American (Unknown Surname), 60-69%',
        'U4' => 'African American (Unknown Surname), 50-59%',
        'U5' => 'African American (Unknown Surname), 30-49%',
        'W1' => 'African American (Welsh Surname), 80%+',
        'W2' => 'African American (Welsh Surname), 70-79%',
        'W3' => 'African American (Welsh Surname), 60-69%',
        'W4' => 'African American (Welsh Surname), 50-59%',
        'W5' => 'African American (Welsh Surname), 30-49%',
        'ZZ' => 'Multi-Ethnic'
      }
      key.empty? ? 'Unknown' : values[key]
    end

    def self.en_0108e(key)
      values = {
        'Y' => 'Matched to Ethnic Insight'
      }
      key.empty? ? 'Unknown' : values[key]
    end

    def self.en_0108g(key)
      values = {
        '01' => 'African',
        '02' => 'African American',
        '03' => 'Asian Other',
        '04' => 'Chinese',
        '05' => 'Czech',
        '06' => 'Dutch',
        '07' => 'Eastern European',
        '08' => 'English',
        '09' => 'French',
        '10' => 'German',
        '11' => 'Greek',
        '12' => 'Hawaiian',
        '13' => 'Hispanic',
        '14' => 'Indonesian',
        '15' => 'Irish',
        '16' => 'Italian',
        '17' => 'Japanese',
        '18' => 'Jewish',
        '19' => 'Korean',
        '20' => 'Middle Eastern',
        '21' => 'Miscellaneous Other',
        '22' => 'Native American',
        '23' => 'Polish',
        '24' => 'Polynesian',
        '25' => 'Portuguese',
        '26' => 'Russian',
        '27' => 'Scandinavian',
        '28' => 'Scotch',
        '29' => 'Swiss',
        '30' => 'Ukrainian',
        '31' => 'Uncoded (no group)',
        '32' => 'Vietnamese',
        '33' => 'Western European'
      }
      key.empty? ? 'Unknown' : values[key]
    end

    def self.en_0108l(key)
      values = {
        '00' => 'Unknown',
        '01' => 'English',
        '03' => 'Danish',
        '04' => 'Swedish',
        '05' => 'Norwegian',
        '06' => 'Finnish',
        '07' => 'Icelandic',
        '08' => 'Dutch',
        '09' => 'Flemish/Walloon',
        '10' => 'German',
        '12' => 'Hungarian',
        '13' => 'Czech',
        '14' => 'Slovak',
        '17' => 'French',
        '19' => 'Italian',
        '20' => 'Spanish',
        '21' => 'Portuguese',
        '22' => 'Polish',
        '23' => 'Estonian',
        '24' => 'Latvian',
        '25' => 'Lithuanian',
        '27' => 'Georgian',
        '29' => 'Armenian',
        '30' => 'Russian',
        '31' => 'Turkish',
        '32' => 'Kurdish',
        '33' => 'Greek',
        '34' => 'Farsi',
        '35' => 'Moldovan',
        '36' => 'Bulgarian',
        '37' => 'Romanian',
        '38' => 'Albanian',
        '40' => 'Slovenian',
        '41' => 'Serbo-Croatian',
        '44' => 'Azeri',
        '45' => 'Kazakh',
        '46' => 'Pashtu/Pashto',
        '47' => 'Urdu',
        '48' => 'Bengali/Bangla',
        '49' => 'Bahasa Indonesia',
        '51' => 'Burmese',
        '52' => 'Mongolian',
        '53' => 'Chinese (Mandarin, Cantonese and other dialects',
        '56' => 'Korean',
        '57' => 'Japanese',
        '58' => 'Thai',
        '59' => 'Bahasa Melayu',
        '60' => 'Lao',
        '61' => 'Khmer',
        '62' => 'Vietnamese',
        '63' => 'Sinhala',
        '64' => 'Uzbek',
        '68' => 'Hebrew',
        '70' => 'Arabic',
        '72' => 'Turkmen',
        '73' => 'Tajik',
        '74' => 'Kirghiz',
        '7A' => 'Hindi',
        '7E' => 'Nepali',
        '7F' => 'Samoan',
        '80' => 'Tongan',
        '86' => 'Oromo',
        '88' => 'Ga',
        '8G' => 'Tibetan',
        '8I' => 'Siswati',
        '8J' => 'Zulu',
        '8K' => 'Xhosa',
        '8M' => 'Afrikaans',
        '8O' => 'Comorian/Shikomoro',
        '8S' => 'Twi (Of Ashanti Ethnicity)',
        '8T' => 'Swahili',
        '8X' => 'Hausa',
        '92' => 'Bantu',
        '94' => 'Dzongkha',
        '95' => 'Amharic',
        '97' => 'Tswana',
        '9E' => 'Somali',
        '9F' => 'Macedonian',
        '9K' => 'Ibo/Igbo',
        '9L' => 'Yoruba',
        '9N' => 'Tagalog',
        '9O' => 'Sotho',
        '9R' => 'Malagasy',
        '9S' => 'Basque'
      }
      key.empty? ? 'Unknown' : values[key]
    end

    def self.en_0108r(key)
      values = {
        'B' => 'Buddhist',
        'C' => 'Catholic',
        'E' => 'Ethiopian Orthodox',
        'G' => 'Greek Orthodox',
        'H' => 'Hindu',
        'I' => 'Muslim',
        'J' => 'Jewish',
        'K' => 'Sikh',
        'L' => 'Lutheran',
        'M' => 'Mormon',
        'O' => 'Eastern Orthodox',
        'P' => 'Protestant',
        'S' => 'Shinto',
        'X' => 'Not Known or Unmatched'
      }
      key.empty? ? 'Unknown' : values[key]
    end

    def self.en_0108t(key)
      values = {
        'A' => 'African American',
        'B' => 'Southeast Asian',
        'C' => 'South Asian',
        'D' => 'Central Asian',
        'E' => 'Mediterranean',
        'F' => 'Native American',
        'G' => 'Scandinavian',
        'H' => 'Polynesian',
        'I' => 'Middle Eastern',
        'J' => 'Jewish',
        'K' => 'Western European',
        'L' => 'Eastern European',
        'M' => 'Caribbean Non-Hispanic',
        'N' => 'East Asian',
        'O' => 'Hispanic',
        'Z' => 'Uncoded'
      }
      key.empty? ? 'Unknown' : values[key]
    end
  end
end
