module Experian
  class DataDictionary
    def self.en_0112_column_name
      'Deceased Indicator'
    end

    def self.en_0112_value_description(_key)
      ''
    end

    def self.en_0112_description
      'Deceased Indicator identifies client input records that Experian believes are deceased individuals. This information is sourced primarily from Social Security records and other proprietary sources, as well as consumers who may have contacted Experian directly. The deceased indicator communicates that we have reason to believe that the individual is deceased based on this source information.'
    end

    def self.en_0112(key)
      values = {
        'D' => 'Deceased Indicator',
        'blank' => 'Unknown'
      }
      key.empty? ? 'Unknown' : values[key]
    end
  end
end
