module Experian
  class DataDictionary
    def self.en_0113a_column_name
      'Combined Homeowner'
    end

    def self.en_0113a_value_description(_key)
      ''
    end

    def self.en_0113a_description
      'Combined homeowner is a mixture of several data elements / fields. This element provides these separate data components in a single position. Homeowner information indicates the likelihood of a consumer owning a home, and is received from tax assessor and deed information. For records where exact Homeownership information is not available, homeownership propensity is calculated using a proprietary statistical model which predicts the likelihood of homeownership. Renter status is derived from self reported data. Unit numbers are not used to infer rented status because units may be owner condominium/coop. Probable Renter is calculated using an algorithm based on lack of Homeowner, the Address Type, and Census Percent Renter.'
    end

    def self.en_0113a(key)
      values = {
        'H' => 'Homeowner',
        '9' => 'Extremely Likely',
        '8' => 'Highly Likely',
        '7' => 'Likely',
        'R' => 'Renter',
        'T' => 'Probable Renter',
        'U' => 'Unknown'
      }
      key.empty? ? 'Unknown' : values[key]
    end
  end
end
