module Experian
  class DataDictionary
    # Dwelling Type
    def self.en_0118_column_name
      'Dwelling Type'
    end

    def self.en_0118_value_description(_key)
      ''
    end

    def self.en_0118_description
      'Each household is assigned a dwelling type code based on United States Postal Service (USPS) information. Single Family Dwelling Units are residences for one family or living unit (S). If the address contains an apartment number or has a small dwelling size (5 units or less), the code is set to Multi-Family (A). Marginal Multi Family Dwelling Units lack an apartment number and are considered of questionable deliverability (M). Values also include P.O. Boxes (P) and Unknown dwelling types (U).'
    end

    def self.en_0118(key)
      values = {
        'S' => 'Single Family',
        'A' => 'Multi-Family & Condominiums',
        'M' => 'Marginal Multi-Family',
        'P' => 'Post Office Box',
        'U' => 'Unknown'
      }
      key.empty? ? 'Unknown' : values[key]
    end
  end
end
