module Experian
  class DataDictionary
    # Length Of Residence
    def self.en_0119_column_name
      'Length Of Residence'
    end

    def self.en_0119_value_description(_key)
      ''
    end

    def self.en_0119_description
      'Length of Residence (LOR) is the length of time a Living Unit has resided at their current address. A primary source of LOR is public source white page compilation initiating a counter showing the first time a name and number appear in the directory. LOR information is also received from proprietary sources and through updates of our source files against the USPS National Change of Address* file. For all sources, LOR data is aged over time.\n\nWhen there is insufficient data to match a customer\'s record to our Enrichment master for Length of Residence, a median LOR based on the LOR\'s assigned to other living units in the same ZIP+4 area is used. In the rare case that the ZIP+4 is not on the record, median LOR is based on the LOR\'s assigned to other records in that ZIP region.\n\nThe median level data applied to records for this element can be identified through the Enrichment Mandatory Append - Total Enrichment Match Type indicator (E).'
    end

    def self.en_0119(key)
      return nil unless /[0-9]+/ =~ key
      key.to_i == 0 ? 'Less than a year' : [key.to_i, 'years'].join(' ')
    end
  end
end
