module Experian
  class DataDictionary
    # Occupation Group
    def self.en_0160a_column_name
      'Occupation Group'
    end

    def self.en_0160a_value_description(_key)
      ''
    end

    def self.en_0160a_description
      'Information is compiled from self-reported surveys, derived from state licensing agencies, or calculated through the application of predictive models. When there is insufficient data to match a customer\'s record in our enrichment master for occupation group, a median occupation group based on the Experian modeled occupation assigned to other living units in the same zip+4 area is used. In the rare case that zip+4 is not on the record, occupation group is based on the occupation assigned to other records in that zip region. Note: the median level data applied to records for this element can be identified through the Enrichment Mandatory Append û Total Enrichment Match Type indicator (E).'
    end

    def self.en_0160a(key)
      type = {
        'K' => 'Known',
        'I' => 'Inferred'
      }
      values = {
        '01' => 'Professional/Technical',
        '02' => 'Sales/Service',
        '03' => 'Farm Related',
        '04' => 'Blue Collar',
        '05' => 'Other',
        '06' => 'Retired'
      }
      return 'Unknown' if key.size != 3 || values[key[1..2]].nil? || type[key[0]].nil? || key.eql?('U00')
      [values[key[1..2]], type[key[0]]].join(' - ')
    end
  end
end
