module Experian
  class DataDictionary
    # Occupation Group
    def self.en_0161_column_name
      'Occupation Group'
    end

    def self.en_0161_value_description(_key)
      ''
    end

    def self.en_0161_description
      'Occupation Group V2 information is compiled from self-reported surveys, derived from state licensing agencies, or calculated through the application of predicted models.'
    end

    def self.en_0161(key)
      type = {
        'K' => 'Known',
        'I' => 'Inferred'
      }
      values = {
        '1' => 'Management/Business & Financial Operations',
        '2' => 'Technical: Computers/Math & Architect/Engineering',
        '3' => 'Professional: Legal/Education & Health Practitioner/Tech/Support',
        '4' => 'Sales',
        '5' => 'Office & Administrative Support',
        '6' => 'Blue Collar',
        '7' => 'Farming/Fish/Forestry',
        '8' => 'Other',
        '9' => 'Retired',
        '0' => 'Unknown'
      }
      return 'Unknown' if key.size != 2 || values[key[1]].nil? || type[key[0]].nil? || key.eql?('U00')
      [values[key[1]], type[key[0]]].join(' - ')
    end
  end
end
