module Experian
  class DataDictionary
    def self.en_0162_column_name
      'Individual Education'
    end

    def self.en_0162_value_description(_key)
      ''
    end

    def self.en_0162_description
      'Information is compiled from self-reported surveys, derived based on occupational information, or calculated through the application of predictive models.'
    end

    def self.en_0162(key)
      likely = {
        '1' => 'Likely',
        '5' => 'Extremely Likely'
      }
      education = {
        '1' => 'High School Diploma',
        '2' => 'Some College',
        '3' => 'Bachelor Degree',
        '4' => 'Graduate Degree',
        '5' => 'Less Than High School Diploma'
      }
      return 'Unknown' if key.size != 2 || education[key[1]].nil? || likely[key[0]].nil?
      [education[key[1]], likely[key[0]]].join(' - ')
    end
  end
end
