module Experian
  class DataDictionary
    def self.en_0174_column_name
      'Presence of Children Age Ranges'
    end

    def self.en_0174_value_description(_key)
      ''
    end

    def self.en_0174_description
      'Known & Inferred Children\'s Age Ranges are a combination of known children\'s age ranges, and where not available, an Experian model which predicts the likelihood that a child within the age group is present in the living unit. When there is insufficient data to match a customer record to our Enrichment master for Inferred Children\'s Age Range, a median Inferred Children\'s Age Range based on the Known & Inferred Children\'s Age Ranges assigned to other living units in the same ZIP+4 area is used. In the rare case that the ZIP+4 is not on the record, median Children\'s Age Range is based on the Known & Inferred children\'s age ranges assigned to other records in that ZIP region. The median level data applied to records for this element can be identified through the Enrichment Mandatory Append - Total Enrichment Match Type indicator (G).'
    end

    def self.en_0174(key)
      values = {
        '1Y' => 'Confirmed Presence of Children',
        '5Y' => 'Inferred Presence of Children',
        '5N' => 'Inferred No Children Present',
        '5U' => 'Unknown',
        '00' => 'Deceased and Child Only - primary decision maker is coded as deceased or no adult (18+) in household.'
      }
      key.empty? ? 'Unknown' : values[key]
    end
  end
end
