module Experian
  class DataDictionary
    def self.en_0177_column_name
      'Presence of Children 0-18'
    end

    def self.en_0177_value_description(_key)
      ''
    end

    def self.en_0177_description
      'Presence of Children in Household identifies households with children. A child is 0 to 18 years old. This field is sourced from birth records, newspaper birth announcements and proprietary sources. This field is comprised of known and inferred data. When there is insufficient data to match a customer\'s record to our Enrichment master for Presence of Children, a median Presence of Children based on the Presence of Children scores assigned to other living units in the same ZIP+4 area is used. In the rare case that the ZIP+4 is not on the record, median Presence of Children is based on the Presence of Children scores assigned to other records in that ZIP region. The median level data applied to records for this element can be identified through the Enrichment Mandatory Append - Total Enrichment Match Type indicator (4).'
    end

    def self.en_0177(key)
      values = {
        '1Y' => 'Confirmed Presence of Children',
        '5Y' => 'Inferred Presence of Children',
        '5N' => 'Inferred No Children Present',
        '5U' => 'Unknown'
      }
      key.empty? ? 'Unknown' : values[key]
    end
  end
end
