module Experian
  class DataDictionary
    def self.en_0601_column_name
      'Estimated Current Home Value'
    end

    def self.en_0601_value_description(_key)
      ''
    end

    def self.en_0601_description
      'Estimated Current Home Value is Experian\'s proprietary model that predicts the current home value. The ECHV model uses county, state and national trends in home sale prices and assessed home values to determine property appreciation rates and current home values. Data was examined at county level and the model inputs, such as sale price, sale year or assessed price of the property that were acquired from realty deed records and county tax assessor records.'
    end

    def self.en_0601(key)
      return nil unless /[0-9]+/ =~ key
      key.gsub(/[^0-9]/, '').to_i
    end
  end
end
