module Experian
  class DataDictionary
    def self.en_0711_column_name
      'Estimated Available Equity Ranges'
    end

    def self.en_0711_value_description(_key)
      ''
    end

    def self.en_0711_description
      'The Estimated Available Equity model is Experian\'s proprietary model designed to accurately predict equity in the home for Homeowner records. The value of equity equals the estimated current home value minus the remaining principal of the mortgage loan. The model inputs, such as sale price, sale date and mortgage amount of the property were acquired from realty deed records from the county court house.'
    end

    def self.en_0711(key)
      confidence = {
        '1' => 'Extremely Likely',
        '2' => 'Highly Likely',
        '3' => 'Likely'
      }

      values = {
        'A' => '1,000 - 9,999',
        'B' => '10,000 - 24,999',
        'C' => '25,000 - 39,999',
        'D' => '40,000 - 59,999',
        'E' => '60,000 - 79,999',
        'F' => '80,000 - 99,999',
        'G' => '100,000 - 119,999',
        'H' => '120,000 - 139,999',
        'I' => '140,000 - 159,999',
        'J' => '160,000 - 199,999',
        'K' => '200,000 - 249,999',
        'L' => '250,000 - 249,999',
        'M' => '350,000 - 449,999',
        'N' => '450,000 - 749,999',
        'O' => '750,000 - 999,999',
        'P' => '1,000,000 - +',
        'U' => 'Unknown'
      }
      return 'Unknown' if key.size != 2 || confidence[key[0]].nil? || values[key[1]].nil?
      [values[key[1]], confidence[key[0]]].join(' - ')
    end
  end
end
