module Experian
  class DataDictionary
    def self.en_0715_column_name
      'Estimated Current Loan-to-Value Ratio Ranges'
    end

    def self.en_0715_value_description(_key)
      ''
    end

    def self.en_0715_description
      'Estimated Current Loan to Value Ratio is a percentage of the current estimated mortgage amount divided by the estimated current market value of the home. The higher the ratio, the less equity the homeowner has on the house. This ratio is available on wherever the loan amount and estimated current home value are available.'
    end

    def self.en_0715(key)
      confidence = {
        '1' => 'Extremely Likely',
        '2' => 'Highly Likely',
        '3' => 'Likely'
      }

      return 'Unknown' if key.size != 4 || confidence[key[0]].nil? || key[1...4].to_i.nil? || key[1...4].to_i > 125
      [key[1...4].to_i, confidence[key[0]]].join(' - ')
    end
  end
end
