module Experian
  class DataDictionary
    def self.en_0716_column_name
      'Estimated Current Monthly Mortgage Payment Ranges'
    end

    def self.en_0716_value_description(_key)
      ''
    end

    def self.en_0716_description
      'The Estimated Current Monthly Mortgage Payment model is a subset of the Experian Equity model and predicts the monthly home payment. Input variables; such as Sale Date, Mortgage Amount and Interest Rate acquired from realty deed records from the county court house are utilized.'
    end

    def self.en_0716(key)
      confidence = {
        '1' => 'Extremely Likely',
        '2' => 'Highly Likely',
        '3' => 'Likely'
      }
      values = {
        'A' => '1 - 199',
        'B' => '200 - 299',
        'C' => '300 - 399',
        'D' => '400 - 499',
        'E' => '500 - 599',
        'F' => '600 - 699',
        'G' => '700 - 799',
        'H' => '800 - 899',
        'I' => '900 - 999',
        'J' => '1000 - 1199',
        'K' => '1200 - 1399',
        'L' => '1400 - 1699',
        'M' => '1700 - 1999',
        'N' => '2000+',
        'U' => 'Unknown'
      }
      return 'Unknown' if key.size != 2 || confidence[key[0]].nil? || key[1].nil? || values[key[1]] == 'Unknown'
      [values[key[1]], confidence[key[0]]].join(' - ')
    end
  end
end
