module Experian
  class DataDictionary
    def self.en_310m_column_name
      'MOSAIC Z4'
    end

    def self.en_310m_value_description(_key)
      ''
    end

    def self.en_310m_description
      'Mosaic Z4 is a geodemographic level classification system developed by Experian. Mosaic Types identify 60 Types and 12 Groups based on consumer behaviors, lifestyles and attitudes. Detailed definitions available upon request.'
    end

    def self.en_310m(key)
      values = {
        'A01' => 'Americas Wealthiest',
        'A02' => 'Dream Weavers',
        'A03' => 'White-collar Suburbia',
        'A04' => 'Upscale Suburbanites',
        'A05' => 'Enterprising Couples',
        'A06' => 'Small-town Success',
        'A07' => 'New Suburbia Families',
        'B01' => 'Status-conscious Consumers',
        'B02' => 'Affluent Urban Professionals',
        'B03' => 'Urban Commuter Families',
        'B04' => 'Solid Suburban Life',
        'B05' => 'Second-generation Success',
        'B06' => 'Successful Suburbia',
        'C01' => 'Second City Homebodies',
        'C02' => 'Prime Middle America',
        'C03' => 'Suburban Optimists',
        'C04' => 'Family Convenience',
        'C05' => 'Mid-market Enterprise',
        'D01' => 'Nuevo Hispanic Families',
        'D02' => 'Working Rural Communities',
        'D03' => 'Lower-income Essentials',
        'D04' => 'Small-city Endeavors',
        'E01' => 'Ethnic Urban Mix',
        'E02' => 'Urban Blues',
        'E03' => 'Professional Urbanites',
        'E04' => 'Suburban Advantage',
        'E05' => 'American Great Outdoors',
        'E06' => 'Mature America',
        'F01' => 'Steadfast Conservative',
        'F02' => 'Moderate Conventionalists',
        'F03' => 'Southern Blues',
        'F04' => 'Urban Grit',
        'F05' => 'Grass-roots Living',
        'G01' => 'Hardy Rural Families',
        'G02' => 'Rural Southern Living',
        'G03' => 'Coal and Crops',
        'G04' => 'Native Americana',
        'H01' => 'Young Cosmopolitans',
        'H02' => 'Minority Metro Communities',
        'H03' => 'Stable Careers',
        'H04' => 'Aspiring Hispania',
        'I01' => 'Industrious Country Living',
        'I02' => 'Americas Farmlands',
        'I03' => 'Comfy Country Living',
        'I04' => 'Small-town Connections',
        'I05' => 'Hinterland Families',
        'J01' => 'Rugged Rural Style',
        'J02' => 'Latino Nuevo',
        'J03' => 'Struggling City Centers',
        'J04' => 'College Town Communities',
        'J05' => 'Metro Beginnings',
        'K01' => 'Unattached Multi-cultures',
        'K02' => 'Academic Influences',
        'K03' => 'African-American Neighborhoods',
        'K04' => 'Urban Diversity',
        'K05' => 'New Generation Activists',
        'K06' => 'Getting By',
        'L01' => 'Military Family Life',
        'L02' => 'Major University Towns',
        'L03' => 'Gray Perspectives'
      }
      key.empty? ? 'Unknown' : values[key]
    end
  end
end
