module Experian
  class DataDictionary
    def self.en_8502_column_name
      'Donor & Donor Propensity, Self reported data'
    end

    def self.en_8502_value_description(_key)
      ''
    end

    def self.en_8502_description
      'Z donor & donor propensities indicates a household\'s self reported to contribute to charities. BehaviorBank Household Indicators groups similar self-reported elements into slightly broader categories. Propensities are created with sophisticated analytical models based solely on self-reported data to predict households that are likely to exhibit the same behaviors. We supplement Behavior Bank Indicators with propensities for those records where self-reported data is not available to maximize coverage and response. The propensity codes rank living units from 1 to 9 using individual, living unit and area level demographics. Field values beginning with 1 indicate the strongest probability'
    end

    def self.en_8502p_column_name
      'Donor & Donor Propensity, Quick Predict Code'
    end

    def self.en_8502p_value_description(_key)
      ''
    end

    def self.en_8502p_description
      'Z donor & donor propensities indicates a household\'s self reported to contribute to charities. BehaviorBank Household Indicators groups similar self-reported elements into slightly broader categories. Propensities are created with sophisticated analytical models based solely on self-reported data to predict households that are likely to exhibit the same behaviors. We supplement Behavior Bank Indicators with propensities for those records where self-reported data is not available to maximize coverage and response. The propensity codes rank living units from 1 to 9 using individual, living unit and area level demographics. Field values beginning with 1 indicate the strongest probability.'
    end

    def self.en_8502(key)
      charity = {
        'Y' => 'Living unit has a known to contribute to charities',
        'U' => 'Unknown'
      }
      code = {
        '1' => 'Extremely Likely to contribute to charities',
        '2' => 'Highly Likely to contribute to charities',
        '3' => 'Very Likely to contribute to charities',
        '4' => 'Somewhat Likely to contribute to charities',
        '5' => 'Likely to contribute to charitie',
        '6' => 'Somewhat Unlikely to contribute to charities',
        '7' => 'Very Unlikely to contribute to charities',
        '8' => 'Highly Unlikely to contribute to charities',
        '9' => 'Extremely Unlikely to contribute to charities',
        '0' => 'Unknown / Not Attempted'
      }
      return 'Unknown' if key.size != 2 || code[key[1]].nil? || charity[key[0]].nil?
      [charity[key[0]], code[key[1]]].join(' - ')
    end

    def self.en_8502p(key)
      Experian::DataDictionary.en_8502(key)
    end
  end
end
