module Experian
  class DataDictionary
    def self.en_8503_column_name
      'Pets & Pets Propensity, Self reported data'
    end

    def self.en_8503_value_description(_key)
      ''
    end

    def self.en_8503_description
      'Z pets & pets propensities indicates a household\'s self reported pet enthusiast. BehaviorBank Household Indicators groups similar self-reported elements inslightly broader categories. Propensities are created with sophisticated analytical models based solely on self-reported data to predict households that are likely to exhibit the same behaviors. We supplement Behavior Bank Indicators with propensities for those records where self-reported data is not available to maximize coverage and response. The propensity codes rank living units from 1 to 9 using individual, living unit and area level demographics. Field values beginning with 1 indicate the strongest probability.'
    end

    def self.en_8503p_column_name
      'Pets & Pets Propensity, Quick Predict Code'
    end

    def self.en_8503p_value_description(_key)
      ''
    end

    def self.en_8503p_description
      'Z pets & pets propensities indicates a household\'s self reported pet enthusiast. BehaviorBank Household Indicators groups similar self-reported elements into slightly broader categories. Propensities are created with sophisticated analytical models based solely on self-reported data to predict households that are likely to exhibit the same behaviors. We supplement Behavior Bank Indicators with propensities for those records where self-reported data is not available to maximize coverage and response. The propensity codes rank living units from 1 to 9 using individual, living unit and area level demographics. Field values beginning with 1 indicate the strongest probability.'
    end

    def self.en_8503(key)
      charity = {
        'Y' => 'Living unit has a known pet enthusiast',
        'U' => 'Unknown'
      }
      code = {
        '1' => 'Extremely Likely pet enthusiast',
        '2' => 'Highly Likely pet enthusiast',
        '3' => 'Very Likely pet enthusiast',
        '4' => 'Somewhat Likely pet enthusiast',
        '5' => 'Likely pet enthusiast',
        '6' => 'Somewhat Unlikely pet enthusiast',
        '7' => 'Very Unlikely pet enthusiast',
        '8' => 'Highly Unlikely pet enthusiast',
        '9' => 'Extremely Unlikely pet enthusiast',
        '0' => 'Unknown / Not Attempted'
      }
      return 'Unknown' if key.size != 2 || code[key[1]].nil? || charity[key[0]].nil?
      [charity[key[0]], code[key[1]]].join(' - ')
    end

    def self.en_8503p(key)
      Experian::DataDictionary.en_8503(key)
    end
  end
end
