module Experian
  class DataDictionary
    def self.en_8504_column_name
      'Arts & Arts Propensity, Self reported data'
    end

    def self.en_8504_value_description(_key)
      ''
    end

    def self.en_8504_description
      'Z arts & arts propensities indicates a household\'s self reported interest in cultural arts. BehaviorBank Household Indicators groups similar self-reported elements into slightly broader categories. Propensities are created with sophisticated analytical models based solely on self-reported data to predict households that are likely to exhibit the same behaviors. We supplement Behavior Bank Indicators with propensities for those records where self-reported data is not available to maximize coverage and response.The propensity codes rank living units from 1 to 9 using individual, living unit and area level demographics. Field values beginning with 1 indicate the strongest probability.'
    end

    def self.en_8504p_column_name
      'Arts & Arts Propensity, Quick Predict code'
    end

    def self.en_8504p_value_description(_key)
      ''
    end

    def self.en_8504p_description
      'Z arts & arts propensities indicates a household\'s self reported interest in cultural arts. BehaviorBank Household Indicators groups similar self-reported elements into slightly broader categories. Propensities are created with sophisticated analytical models based solely on self-reported data to predict households that are likely to exhibit the same behaviors. We supplement Behavior Bank Indicators with propensities for those records where self-reported data is not available to maximize coverage and response. The propensity codes rank living units from 1 to 9 using individual, living unit and area level demographics. Field values beginning with 1 indicate the strongest probability.'
    end

    def self.en_8504(key)
      charity = {
        'Y' => 'Living unit has a known interest in cultural arts',
        'U' => 'Unknown'
      }
      code = {
        '1' => 'Extremely Likely interest in cultural arts',
        '2' => 'Highly Likely interest in cultural arts',
        '3' => 'Very Likely interest in cultural arts',
        '4' => 'Somewhat Likely interest in cultural arts',
        '5' => 'Likely interest in cultural arts',
        '6' => 'Somewhat Unlikely interest in cultural arts',
        '7' => 'Very Unlikely interest in cultural arts',
        '8' => 'Highly Unlikely interest in cultural arts',
        '9' => 'Extremely Unlikely interest in cultural arts',
        '0' => 'Unknown / Not Attempted'
      }
      return 'Unknown' if key.size != 2 || code[key[1]].nil? || charity[key[0]].nil?
      [charity[key[0]], code[key[1]]].join(' - ')
    end

    def self.en_8504p(key)
      Experian::DataDictionary.en_8504(key)
    end
  end
end
