module Experian
  class DataDictionary
    # Mailorder Buyer & Mailorder Buyer Prop, Self Reported data
    def self.en_8505_column_name
      'Mailorder Buyer & Mailorder Buyer Prop, Self Reported data'
    end

    def self.en_8505_value_description(_key)
      ''
    end

    def self.en_8505_description
      'Z mailorder buyer & mailorder buyer propensities indicates a household\'s self reported purchased through the mail. BehaviorBank Household Indicators groups similar self-reported elements into slightly broader categories. Propensities are created with sophisticated analytical models based solely on self-reported data to predict households that are likely to exhibit the same behaviors. We supplement Behavior Bank Indicators with propensities for those records where self-reported data is not available to maximize coverage and response. The propensity codes rank living units from 1 to 9 using individual, living unit and area level demographics. Field values beginning with 1 indicate the strongest probability.'
    end

    # Mailorder Buyer & Mailorder Buyer Prop, Quick Predict Code
    def self.en_8505p_column_name
      'Mailorder Buyer & Mailorder Buyer Prop, Quick Predict Code'
    end

    def self.en_8505p_value_description(_key)
      ''
    end

    def self.en_8505p_description
      'Z mailorder buyer & mailorder buyer propensities indicates a household\'s self reported purchased through the mail. BehaviorBank Household Indicators groups similar self-reported elements into slightly broader categories. Propensities are created with sophisticated analytical models based solely on self-reported data to predict households that are likely to exhibit the same behaviors. We supplement Behavior Bank Indicators with propensities for those records where self-reported data is not available to maximize coverage and response. The propensity codes rank living units from 1 to 9 using individual, living unit and area level demographics. Field values beginning with 1 indicate the strongest probability.'
    end

    def self.en_8505(key)
      charity = {
        'Y' => 'Living unit has purchased through the mail',
        'U' => 'Unknown'
      }
      code = {
        '1' => 'Extremely Likely purchased through the mail',
        '2' => 'Highly Likely purchased through the mail',
        '3' => 'Very Likely purchased through the mail',
        '4' => 'Somewhat Likely purchased through the mail',
        '5' => 'Likely purchased through the mail',
        '6' => 'Somewhat Unlikely purchased through the mail',
        '7' => 'Very Unlikely purchased through the mail',
        '8' => 'Highly Unlikely purchased through the mail',
        '9' => 'Extremely Unlikely purchased through the mail',
        '0' => 'Unknown / Not Attempted'
      }
      return 'Unknown' if key.size != 2 || code[key[1]].nil? || charity[key[0]].nil?
      [charity[key[0]], code[key[1]]].join(' - ')
    end

    def self.en_8505p(key)
      Experian::DataDictionary.en_8505(key)
    end
  end
end
