module Experian
  class DataDictionary
    # Investor & Investor Propensity, Self reported data
    def self.en_8509_column_name
      'Investor & Investor Propensity, Self reported data'
    end

    def self.en_8509_value_description(_key)
      ''
    end

    def self.en_8509_description
      'Z investor & investor propensities indicates a household\'s self reported as an investor. BehaviorBank Household Indicators groups similar self-reported elements into slightly broader categories. Propensities are created with sophisticated analytical models based solely on self-reported data to predict households that are likely to exhibit the same behaviors. We supplement Behavior Bank Indicators with propensities for those records where self- reported data is not available to maximize coverage and response. The propensity codes rank living units from 1 to 9 using individual, living unit and area level demographics. Field values beginning with 1 indicate the strongest probability.'
    end

    # Investor & Investor Propensity, Quick Predict Code
    def self.en_8509p_column_name
      'Investor & Investor Propensity, Quick Predict Code'
    end

    def self.en_8509p_value_description(_key)
      ''
    end

    def self.en_8509p_description
      'Z investor & investor propensities indicates a household\'s self reported as an investor. BehaviorBank Household Indicators groups similar self-reported elements into slightly broader categories. Propensities are created with sophisticated analytical models based solely on self-reported data to predict households that are likely to exhibit the same behaviors. We supplement Behavior Bank Indicators with propensities for those records where self- reported data is not available to maximize coverage and response. The propensity codes rank living units from 1 to 9 using individual, living unit and area level demographics. Field values beginning with 1 indicate the strongest probability.'
    end

    def self.en_8509(key)
      charity = {
        'Y' => 'Living unit has a known investor',
        'U' => 'Unknown'
      }
      code = {
        '1' => 'Extremely Likely investor',
        '2' => 'Highly Likely investor',
        '3' => 'Very Likely investor',
        '4' => 'Somewhat Likely investor',
        '5' => 'Likely investor',
        '6' => 'Somewhat Unlikely investor',
        '7' => 'Very Unlikely investor',
        '8' => 'Highly Unlikely investor',
        '9' => 'Extremely Unlikely investor',
        '0' => 'Unknown / Not Attempted'
      }
      return 'Unknown' if key.size != 2 || code[key[1]].nil? || charity[key[0]].nil?
      [charity[key[0]], code[key[1]]].join(' - ')
    end

    def self.en_8509p(key)
      Experian::DataDictionary.en_8509(key)
    end
  end
end
