module Experian
  class DataDictionary
    # Politics & Politics Propensity, Self reported data
    def self.en_8519_column_name
      'Politics & Politics Propensity, Self reported data'
    end

    def self.en_8519_value_description(_key)
      ''
    end

    def self.en_8519_description
      'Z politics & politics propensities indicates a household\'s self reported interest in politics. BehaviorBank Household Indicators groups similar self-reported elements into slightly broader categories. Propensities are created with sophisticated analytical models based solely on self-reported data to predict households that are likely to exhibit the same behaviors. We supplement Behavior Bank Indicators with propensities for those records where self-reported data is not available to maximize coverage and response. The propensity codes rank living units from 1 to 9 using individual, living unit and area level demographics. Field values beginning with 1 indicate the strongest probability.'
    end

    # Politics & Politics Propensity, Quick Predict Code
    def self.en_8519p_column_name
      'Politics & Politics Propensity, Quick Predict Code'
    end

    def self.en_8519p_value_description(_key)
      ''
    end

    def self.en_8519p_description
      'Z politics & politics propensities indicates a household\'s self reported interest in politics. BehaviorBank Household Indicators groups similar self-reported elements into slightly broader categories. Propensities are created with sophisticated analytical models based solely on self-reported data to predict households that are likely to exhibit the same behaviors. We supplement Behavior Bank Indicators with propensities for those records where self-reported data is not available to maximize coverage and response. The propensity codes rank living units from 1 to 9 using individual, living unit and area level demographics. Field values beginning with 1 indicate the strongest probability.'
    end

    def self.en_8519(key)
      charity = {
        'Y' => 'Living unit has a known interest in politics',
        'U' => 'Unknown'
      }
      code = {
        '1' => 'Extremely Likely interest in politics',
        '2' => 'Highly Likely interest in politics',
        '3' => 'Very Likely interest in politics',
        '4' => 'Somewhat Likely interest in politics',
        '5' => 'Likely interest in politics',
        '6' => 'Somewhat Unlikely interest in politics',
        '7' => 'Very Unlikely interest in politics',
        '8' => 'Highly Unlikely interest in politics',
        '9' => 'Extremely Unlikely interest in politics',
        '0' => 'Unknown / Not Attempted'
      }
      return 'Unknown' if key.size != 2 || code[key[1]].nil? || charity[key[0]].nil?
      [charity[key[0]], code[key[1]]].join(' - ')
    end

    def self.en_8519p(key)
      Experian::DataDictionary.en_8519(key)
    end
  end
end
