module Experian
  class DataDictionary
    # 'Doityourselfer & Doityourselfer Prop, Self reported data'
    def self.en_8523_column_name
      'Doityourselfer & Doityourselfer Prop, Self reported data'
    end

    def self.en_8523_value_description(_key)
      ''
    end

    def self.en_8523_description
      'Z doityourselfer & doityourselfer propensities indicates a household\'s self reported do-it-yourselfer. BehaviorBank Household Indicators groups similar self-reported elements into slightly broader categories. Propensities are created with sophisticated analytical models based solely on self-reported data to predict households that are likely to exhibit the same behaviors. We supplement Behavior Bank Indicators with propensities for those records where self-reported data is not available to maximize coverage and response. The propensity codes rank living units from 1 to 9 using individual, living unit and area level demographics. Field values beginning with 1 indicate the strongest probability.'
    end

    # Doityourselfer & Doityourselfer Prop, Quick Predict Code
    def self.en_8523p_column_name
      'Doityourselfer & Doityourselfer Prop, Quick Predict Code'
    end

    def self.en_8523p_value_description(_key)
      ''
    end

    def self.en_8523p_description
      'Z doityourselfer & doityourselfer propensities indicates a household\'s self reported do-it-yourselfer. BehaviorBank Household Indicators groups similar self-reported elements into slightly broader categories. Propensities are created with sophisticated analytical models based solely on self-reported data to predict households that are likely to exhibit the same behaviors. We supplement Behavior Bank Indicators with propensities for those records where self-reported data is not available to maximize coverage and response. The propensity codes rank living units from 1 to 9 using individual, living unit and area level demographics. Field values beginning with 1 indicate the strongest probability.'
    end

    def self.en_8523(key)
      charity = {
        'Y' => 'Living unit has a known do-it-yourselfer',
        'U' => 'Unknown'
      }
      code = {
        '1' => 'Extremely Likely do-it-yourselfer',
        '2' => 'Highly Likely do-it-yourselfer',
        '3' => 'Very Likely do-it-yourselfer',
        '4' => 'Somewhat Likely do-it-yourselfer',
        '5' => 'Likely do-it-yourselfer',
        '6' => 'Somewhat Unlikely do-it-yourselfer',
        '7' => 'Very Unlikely do-it-yourselfer',
        '8' => 'Highly Unlikely do-it-yourselfer',
        '9' => 'Extremely Unlikely do-it-yourselfer',
        '0' => 'Unknown / Not Attempted'
      }
      return 'Unknown' if key.size != 2 || code[key[1]].nil? || charity[key[0]].nil?
      [charity[key[0]], code[key[1]]].join(' - ')
    end

    def self.en_8523p(key)
      Experian::DataDictionary.en_8523(key)
    end
  end
end
