module Experian
  class DataDictionary
    # Grandparent & Grandparent Propensity, Self reported data
    def self.en_8526_column_name
      'Grandparent & Grandparent Propensity, Self reported data'
    end

    def self.en_8526_value_description(_key)
      ''
    end

    def self.en_8526_description
      'Z grandparent & grandparent propensities indicates a household\'s self reported grandparent. BehaviorBank Household Indicators groups similar self-reported elements into slightly broader categories. Propensities are created with sophisticated analytical models based solely on self-reported data to predict households that are likely to exhibit the same behaviors. We supplement Behavior Bank Indicators with propensities for those records where self-reported data is not available to maximize coverage and response. The propensity codes rank living units from 1 to 9 using individual, living unit and area level demographics. Field values beginning with 1 indicate the strongest probability.'
    end

    # Grandparent & Grandparent Propensity, Quick Predict Code
    def self.en_8526p_column_name
      'Grandparent & Grandparent Propensity, Quick Predict Code'
    end

    def self.en_8526p_value_description(_key)
      ''
    end

    def self.en_8526p_description
      'Z grandparent & grandparent propensities indicates a household\'s self reported grandparent. BehaviorBank Household Indicators groups similar self-reported elements into slightly broader categories. Propensities are created with sophisticated analytical models based solely on self-reported data to predict households that are likely to exhibit the same behaviors. We supplement Behavior Bank Indicators with propensities for those records where self-reported data is not available to maximize coverage and response.The propensity codes rank living units from 1 to 9 using individual, living unit and area level demographics. Field values beginning with 1 indicate the strongest probability.'
    end

    def self.en_8526(key)
      charity = {
        'Y' => 'Living unit has a known grandparent',
        'U' => 'Unknown'
      }
      code = {
        '1' => 'Extremely Likely grandparent',
        '2' => 'Highly Likely grandparent',
        '3' => 'Very Likely grandparent',
        '4' => 'Somewhat Likely grandparent',
        '5' => 'Likely grandparent',
        '6' => 'Somewhat Unlikely grandparent',
        '7' => 'Very Unlikely grandparent',
        '8' => 'Highly Unlikely grandparent',
        '9' => 'Extremely Unlikely grandparent',
        '0' => 'Unknown / Not Attempted'
      }
      return 'Unknown' if key.size != 2 || code[key[1]].nil? || charity[key[0]].nil?
      [charity[key[0]], code[key[1]]].join(' - ')
    end

    def self.en_8526p(key)
      Experian::DataDictionary.en_8526(key)
    end
  end
end
