module Experian
  class DataDictionary
    # Environmental Donor & Envir Donor Prop, Self reported data
    def self.en_8528_column_name
      'Environmental Donor & Envir Donor Prop, Self reported data'
    end

    def self.en_8528_value_description(_key)
      ''
    end

    def self.en_8528_description
      'Z environmental donor & environmental donor propensities indicates a household\'s self reported as donating to environmental causes. BehaviorBank Household Indicators groups similar self-reported elements into slightly broader categories. Propensities are created with sophisticated analytical models based solely on self-reported data to predict households that are likely to exhibit the same behaviors. We supplement Behavior Bank Indicators with propensities for those records where self-reported data is not available to maximize coverage and response. The propensity codes rank living units from 1 to 9 using individual, living unit and area level demographics. Field values beginning with 1 indicate the strongest probability.'
    end

    # Environmental Donor & Environ Donor Prop, Quick Predict Code
    def self.en_8528p_column_name
      'Environmental Donor & Envir Donor Prop, Quick Predict Code'
    end

    def self.en_8528p_value_description(_key)
      ''
    end

    def self.en_8528p_description
      'Z environmental donor & environmental donor propensities indicates a household\'s self reported as donating to environmental causes. Valid Values :BehaviorBank Household Indicators groups similar self-reported elements into slightly broader categories. Propensities are created with sophisticated analytical models based solely on self-reported data to predict households that are likely to exhibit the same behaviors. We supplement Behavior Bank Indicators with propensities for those records where self-reported data is not available to maximize coverage and response. The propensity codes rank living units from 1 to 9 using individual, living unit and area level demographics. Field values beginning with 1 indicate the strongest probability.'
    end

    def self.en_8528(key)
      charity = {
        'Y' => 'Living unit has known to donate to environmental causes',
        'U' => 'Unknown'
      }
      code = {
        '1' => 'Extremely Likely donates to environmental causes',
        '2' => 'Highly Likely donates to environmental causes',
        '3' => 'Very Likely donates to environmental causes',
        '4' => 'Somewhat Likely donates to environmental causes',
        '5' => 'Likely donates to environmental causes',
        '6' => 'Somewhat Unlikely donates to environmental causes',
        '7' => 'Very Unlikely donates to environmental causes',
        '8' => 'Highly Unlikely donates to environmental causes',
        '9' => 'Extremely Unlikely donates to environmental causes',
        '0' => 'Unknown / Not Attempted'
      }
      return 'Unknown' if key.size != 2 || code[key[1]].nil? || charity[key[0]].nil?
      [code[key[1]], charity[key[0]]].join(' - ')
    end

    def self.en_8528p(key)
      Experian::DataDictionary.en_8528(key)
    end
  end
end
