module Experian
  class DataDictionary
    # Buys By TV & Buys By TV Propensity, Self reported data
    def self.en_8532_column_name
      'Buys By TV & Buys By TV Propensity, Self reported data'
    end

    def self.en_8532_value_description(_key)
      ''
    end

    def self.en_8532_description
      'Z buys by TV & buys by TV propensities indicates a household has self reported to purchase via television. BehaviorBank Household Indicators groups similar self-reported elements into slightly broader categories. Propensities are created with sophisticated analytical models based solely on self-reported data to predict households that are likely to exhibit the same behaviors. We supplement Behavior Bank Indicators with propensities for those records where self-reported data is not available to maximize coverage and response. The propensity codes rank living units from 1 to 9 using individual, living unit and area level demographics. Field values beginning with 1 indicate the strongest probability.'
    end

    # Buys By TV & Buys By TV Propensity, Quick Predict Code
    def self.en_8532p_column_name
      'Buys By TV & Buys By TV Propensity, Quick Predict Code'
    end

    def self.en_8532p_value_description(_key)
      ''
    end

    def self.en_8532p_description
      'Z buys by TV & buys by TV propensities indicates a household has self reported to purchase via television. BehaviorBank Household Indicators groups similar self-reported elements into slightly broader categories. Propensities are created with sophisticated analytical models based solely on self-reported data to predict households that are likely to exhibit the same behaviors. We supplement Behavior Bank Indicators with propensities for those records where self-reported data is not available to maximize coverage and response. The propensity codes rank living units from 1 to 9 using individual, living unit and area level demographics. Field values beginning with 1 indicate the strongest probability.'
    end

    def self.en_8532(key)
      charity = {
        'Y' => 'Living unit has known to purchase via television',
        'U' => 'Unknown'
      }
      code = {
        '1' => 'Extremely Likely to purchase via television',
        '2' => 'Highly Likely to purchase via television',
        '3' => 'Very Likely to purchase via television',
        '4' => 'Somewhat Likely to purchase via television',
        '5' => 'Likely to purchase via television',
        '6' => 'Somewhat Unlikely to purchase via television',
        '7' => 'Very Unlikely to purchase via television',
        '8' => 'Highly Unlikely to purchase via television',
        '9' => 'Extremely Unlikely to purchase via television',
        '0' => 'Unknown / Not Attempted'
      }
      return 'Unknown' if key.size != 2 || code[key[1]].nil? || charity[key[0]].nil?
      [code[key[1]], charity[key[0]]].join(' - ')
    end

    def self.en_8532p(key)
      Experian::DataDictionary.en_8532(key)
    end
  end
end
