module Experian
  class DataDictionary
    def self.en_8533_column_name
      'Mailorder Multibuyer & MO Multi Prop, Self reported data'
    end

    def self.en_8533_value_description(_key)
      ''
    end

    def self.en_8533_description
      'Mailorder Multibuyer & MO Multi Prop, Self reported data'
    end

    def self.en_8533p_column_name
      'Mailorder Multibuyer & MO Multi Prop, Quick Predict Code'
    end

    def self.en_8533p_value_description(_key)
      ''
    end

    def self.en_8533p_description
      en_8533_description
    end

    # CCYYMM
    def self.en_8533(key)
      values = {
        'Y' => 'Living unit has a known mail order multibuyer',
        'U' => 'Unknown',
        '1' => 'Extremely Likely mail order multibuyer',
        '2' => 'Highly Likely mail order multibuyer',
        '3' => 'Very Likely mail order multibuyer',
        '4' => 'Somewhat Likely mail order multibuyer',
        '5' => 'Likely mail order multibuyer',
        '6' => 'Somewhat Unlikely mail order multibuyer',
        '7' => 'Very Unlikely mail order multibuyer',
        '8' => 'Highly Unlikely mail order multibuyer',
        '9' => 'Extremely Unlikely mail order multibuyer',
        '0' => 'Unknown / Not Attempted'
      }
      return nil if key.empty? || key.length != 2
      key.split('').collect { |k| values[k] }.compact.join(' - ')
    end

    def self.en_8533p(key)
      return nil unless %w(E I U M F).include?(key[0]) # I noticed another 0100c column that uses M and F which is probably for Male and Female
      key[1..key.length - 1]
    end
  end
end
