module Experian
  class DataDictionary
    # Dogs & Dogs Propensity, Self reported data
    def self.en_8536_column_name
      'Dogs & Dogs Propensity, Self reported data'
    end

    def self.en_8536_value_description(_key)
      ''
    end

    def self.en_8536_description
      'Z dogs & dogs propensities indicates a household has self reported as dog enthusiasts. BehaviorBank Household Indicators groups similar self-reported elements into slightly broader categories. Propensities are created with sophisticated analytical models based solely on self-reported data to predict households that are likely to exhibit the same behaviors. We supplement Behavior Bank Indicators with propensities for those records where self- reported data is not available to maximize coverage and response. The propensity codes rank living units from 1 to 9 using individual, living unit and area level demographics. Field values beginning with 1 indicate the strongest probability.'
    end

    # Dogs & Dogs Propensity, Quick Predict Code
    def self.en_8536p_column_name
      'Dogs & Dogs Propensity, Quick Predict Code'
    end

    def self.en_8536p_value_description(_key)
      ''
    end

    def self.en_8536p_description
      'Z dogs & dogs propensities indicates a household has self reported as dog enthusiasts. BehaviorBank Household Indicators groups similar self-reported elements into slightly broader categories. Propensities are created with sophisticated analytical models based solely on self-reported data to predict households that are likely to exhibit the same behaviors. We supplement Behavior Bank Indicators with propensities for those records where self- reported data is not available to maximize coverage and response. The propensity codes rank living units from 1 to 9 using individual, living unit and area level demographics. Field values beginning with 1 indicate the strongest probability.'
    end

    def self.en_8536(key)
      charity = {
        'Y' => 'Living unit has a known dog enthusiast',
        'U' => 'Unknown'
      }
      code = {
        '1' => 'Extremely Likely dog enthusiast',
        '2' => 'Highly Likely dog enthusiast',
        '3' => 'Very Likely dog enthusiast',
        '4' => 'Somewhat Likely dog enthusiast',
        '5' => 'Likely dog enthusiast',
        '6' => 'Somewhat Unlikely dog enthusiast',
        '7' => 'Very Unlikely dog enthusiast',
        '8' => 'Highly Unlikely dog enthusiast',
        '9' => 'Extremely Unlikely dog enthusiast',
        '0' => 'Unknown / Not Attempted'
      }
      return 'Unknown' if key.size != 2 || code[key[1]].nil? || charity[key[0]].nil?
      [charity[key[0]], code[key[1]]].join(' - ')
    end

    def self.en_8536p(key)
      Experian::DataDictionary.en_8536(key)
    end
  end
end
