module Experian
  class DataDictionary
    # Cats & Cats Propensity, Self reported data
    def self.en_8537_column_name
      'Cats & Cats Propensity, Self reported data'
    end

    def self.en_8537_value_description(_key)
      ''
    end

    def self.en_8537_description
      'Z cats & cats propensities indicates a household has self reported as cat enthusiasts. BehaviorBank Household Indicators groups similar self-reported elements into slightly broader categories. Propensities are created with sophisticated analytical models based solely on self-reported data to predict households that are likely to exhibit the same behaviors. We supplement Behavior Bank Indicators with propensities for those records where self- reported data is not available to maximize coverage and response. The propensity codes rank living units from 1 to 9 using individual, living unit and area level demographics. Field values beginning with 1 indicate the strongest probability.'
    end

    # Cats & Cats Propensity, Quick Predict Code
    def self.en_8537p_column_name
      'Cats & Cats Propensity, Quick Predict Code'
    end

    def self.en_8537p_value_description(_key)
      ''
    end

    def self.en_8537p_description
      'Z cats & cats propensities indicates a household has self reported as cat enthusiasts. BehaviorBank Household Indicators groups similar self-reported elements into slightly broader categories. Propensities are created with sophisticated analytical models based solely on self-reported data to predict households that are likely to exhibit the same behaviors. We supplement Behavior Bank Indicators with propensities for those records where self- reported data is not available to maximize coverage and response. The propensity codes rank living units from 1 to 9 using individual, living unit and area level demographics. Field values beginning with 1 indicate the strongest probability.'
    end

    def self.en_8537(key)
      charity = {
        'Y' => 'Living unit has a known cat enthusiast',
        'U' => 'Unknown'
      }
      code = {
        '1' => 'Extremely Likely cat enthusiast',
        '2' => 'Highly Likely cat enthusiast',
        '3' => 'Very Likely cat enthusiast',
        '4' => 'Somewhat Likely cat enthusiast',
        '5' => 'Likely cat enthusiast',
        '6' => 'Somewhat Unlikely cat enthusiast',
        '7' => 'Very Unlikely cat enthusiast',
        '8' => 'Highly Unlikely cat enthusiast',
        '9' => 'Extremely Unlikely cat enthusiast',
        '0' => 'Unknown / Not Attempted'
      }
      return 'Unknown' if key.size != 2 || code[key[1]].nil? || charity[key[0]].nil?
      [charity[key[0]], code[key[1]]].join(' - ')
    end

    def self.en_8537p(key)
      Experian::DataDictionary.en_8537(key)
    end
  end
end
