module Experian
  class DataDictionary
    # Health & Health Propensity, Self reported data
    def self.en_8538_column_name
      'Health & Health Propensity, Self reported data'
    end

    def self.en_8538_value_description(_key)
      ''
    end

    def self.en_8538_description
      'Z health & health propensities indicates a household\'s self reported interest in healthy living. BehaviorBank Household Indicators groups similar self-reported elements into slightly broader categories. Propensities are created with sophisticated analytical models based solely on self-reported data to predict households that are likely to exhibit the same behaviors. We supplement Behavior Bank Indicators with propensities for those records where self-reported data is not available to maximize coverage and response. The propensity codes rank living units from 1 to 9 using individual, living unit and area level demographics. Field values beginning with 1 indicate the strongest probability.'
    end

    # Health & Health Propensity, Quick Predict Code
    def self.en_8538p_column_name
      'Health & Health Propensity, Quick Predict Code'
    end

    def self.en_8538p_value_description(_key)
      ''
    end

    def self.en_8538p_description
      'Z health & health propensities indicates a household\'s self reported interest in healthy living. BehaviorBank Household Indicators groups similar self-reported elements into slightly broader categories. Propensities are created with sophisticated analytical models based solely on self-reported data to predict households that are likely to exhibit the same behaviors. We supplement Behavior Bank Indicators with propensities for those records where self-reported data is not available to maximize coverage and response. The propensity codes rank living units from 1 to 9 using individual, living unit and area level demographics. Field values beginning with 1 indicate the strongest probability.'
    end

    def self.en_8538(key)
      charity = {
        'Y' => 'Living unit has known interest in healthy living',
        'U' => 'Unknown'
      }
      code = {
        '1' => 'Extremely Likely interest in healthy living',
        '2' => 'Highly Likely interest in healthy living',
        '3' => 'Very Likely interest in healthy living',
        '4' => 'Somewhat Likely interest in healthy living',
        '5' => 'Likely interest in healthy living',
        '6' => 'Somewhat Unlikely interest in healthy living',
        '7' => 'Very Unlikely interest in healthy living',
        '8' => 'Highly Unlikely interest in healthy living',
        '9' => 'Extremely Unlikely interest in healthy living',
        '0' => 'Unknown / Not Attempted'
      }
      return 'Unknown' if key.size != 2 || code[key[1]].nil? || charity[key[0]].nil?
      [code[key[1]], charity[key[0]]].join(' - ')
    end

    def self.en_8538p(key)
      Experian::DataDictionary.en_8538(key)
    end
  end
end
