module Experian
  class DataDictionary
    # Volunteer & Volunteer Propensity, Self reported data
    def self.en_8574_column_name
      'Volunteer & Volunteer Propensity, Self reported data'
    end

    def self.en_8574_value_description(_key)
      ''
    end

    def self.en_8574_description
      'Z Volunteer & Volunteer Propensity indicates a household\'s self-reported behavior to be a Volunteer. BehaviorBank Household Indicators groups similar self-reported elements into slightly broader categories. Propensities are created with sophisticated analytical models based solely on self-reported data to predict households that are likely to exhibit the same behaviors. We supplement Behavior Bank Indicators with propensities for those records where self-reported data is not available to maximize coverage and response. The propensity codes rank living units from 1 to 9 using individual, living unit and area level demographics. Field values beginning with 1 indicate the strongest probability.'
    end

    # Volunteer & Volunteer Propensity, Quick Predict Code
    def self.en_8574p_column_name
      'Volunteer & Volunteer Propensity, Quick Predict Code'
    end

    def self.en_8574p_value_description(_key)
      ''
    end

    def self.en_8574p_description
      'Z Volunteer & Volunteer Propensity indicates a household\'s self-reported behavior to be a Volunteer. BehaviorBank Household Indicators groups similar self-reported elements into slightly broader categories. Propensities are created with sophisticated analytical models based solely on self-reported data to predict households that are likely to exhibit the same behaviors. We supplement Behavior Bank Indicators with propensities for those records where self-reported data is not available to maximize coverage and response. The propensity codes rank living units from 1 to 9 using individual, living unit and area level demographics. Field values beginning with 1 indicate the strongest probability.'
    end

    def self.en_8574(key)
      charity = {
        'Y' => 'Living unit has known to be a Volunteer',
        'U' => 'Unknown'
      }
      code = {
        '1' => 'Extremely Likely to be a Volunteer',
        '2' => 'Highly Likely to be a Volunteer',
        '3' => 'Very Likely to be a Volunteer',
        '4' => 'Somewhat Likely to be a Volunteer',
        '5' => 'Likely to be a Volunteer',
        '6' => 'Somewhat Unlikely to be a Volunteer',
        '7' => 'Very Unlikely to be a Volunteer',
        '8' => 'Highly Unlikely to be a Volunteer',
        '9' => 'Extremely Unlikely to be a Volunteer',
        '0' => 'Unknown / Not Attempted'
      }
      return 'Unknown' if key.size != 2 || code[key[1]].nil? || charity[key[0]].nil?
      [code[key[1]], charity[key[0]]].join(' - ')
    end

    def self.en_8574p(key)
      Experian::DataDictionary.en_8574(key)
    end
  end
end
