module Experian
  class DataDictionary
    # Z Active Military & Active Military Prop, Self reported data
    def self.en_8580_column_name
      'Z Active Military & Active Military Prop, Self reported data'
    end

    def self.en_8580_value_description(_key)
      ''
    end

    def self.en_8580_description
      'Z Active Military indicates a household has self reported as being Active Military. BehaviorBank Household Indicators groups similar self-reported elements into slightly broader categories. Propensities are created with sophisticated analytical models based solely on self-reported data to predict households that are likely to exhibit the same behaviors. We supplement Behavior Bank Indicators with propensities for those records where self- reported data is not available to maximize coverage and response. The propensity codes rank living units from 1 to 9 using individual, living unit and area level demographics. Field values beginning with 1 indicate the strongest probability.'
    end

    # Z Active Military & Active Military Prop, Quick Predict Code
    def self.en_8580p_column_name
      'Z Active Military & Active Military Prop, Quick Predict Code'
    end

    def self.en_8580p_value_description(_key)
      ''
    end

    def self.en_8580p_description
      'Z Active Military indicates a household has self reported as being Active Military. BehaviorBank Household Indicators groups similar self-reported elements into slightly broader categories. Propensities are created with sophisticated analytical models based solely on self-reported data to predict households that are likely to exhibit the same behaviors. We supplement Behavior Bank Indicators with propensities for those records where self- reported data is not available to maximize coverage and response. The propensity codes rank living units from 1 to 9 using individual, living unit and area level demographics. Field values beginning with 1 indicate the strongest probability.'
    end

    def self.en_8580(key)
      charity = {
        'Y' => 'Living unit has self-reported being Active Military',
        'U' => 'Unknown'
      }
      code = {
        '1' => 'Extremely Likely Active Military',
        '2' => 'Highly Likely Active Military',
        '3' => 'Very Likely Active Military',
        '4' => 'Somewhat Likely Active Military',
        '5' => 'Likely Active Military',
        '6' => 'Somewhat Unlikely Active Military',
        '7' => 'Very Unlikely Active Military',
        '8' => 'Highly Unlikely Active Military',
        '9' => 'Extremely Unlikely Active Military',
        '0' => 'Unknown / Not Attempted'
      }
      return 'Unknown' if key.size != 2 || code[key[1]].nil? || charity[key[0]].nil?
      [charity[key[0]], code[key[1]]].join(' - ')
    end

    def self.en_8580p(key)
      Experian::DataDictionary.en_8580(key)
    end
  end
end
