module Experian
  class DataDictionary
    # Z Inactive Military & Inactive Military Prop, Self reported data
    def self.en_8581_column_name
      'Z Inactive Military & Inact Military Prop, Self reported data'
    end

    def self.en_8581_value_description(_key)
      ''
    end

    def self.en_8581_description
      'Z Inactive Military indicates a household has self reported as being Inactive Military. BehaviorBank Household Indicators groups similar self-reported elements into slightly broader categories. Propensities are created with sophisticated analytical models based solely on self-reported data to predict households that are likely to exhibit the same behaviors. We supplement Behavior Bank Indicators with propensities for those records where self- reported data is not available to maximize coverage and response. The propensity codes rank living units from 1 to 9 using individual, living unit and area level demographics. Field values beginning with 1 indicate the strongest probability.'
    end

    # Z Inactive Military & Inactive Military Prop, Quick Predict Code
    def self.en_8581p_column_name
      'Z Inactive Military & Inact Military Prop, Quick Predict Code'
    end

    def self.en_8581p_value_description(_key)
      ''
    end

    def self.en_8581p_description
      'Z Inactive Military indicates a household has self reported as being Inactive Military. BehaviorBank Household Indicators groups similar self-reported elements into slightly broader categories. Propensities are created with sophisticated analytical models based solely on self-reported data to predict households that are likely to exhibit the same behaviors. We supplement Behavior Bank Indicators with propensities for those records where self- reported data is not available to maximize coverage and response. The propensity codes rank living units from 1 to 9 using individual, living unit and area level demographics. Field values beginning with 1 indicate the strongest probability.'
    end

    def self.en_8581(key)
      charity = {
        'Y' => 'Living unit has self-reported being Inactive Military',
        'U' => 'Unknown'
      }
      code = {
        '1' => 'Extremely Likely Inactive Military',
        '2' => 'Highly Likely Inactive Military',
        '3' => 'Very Likely Inactive Military',
        '4' => 'Somewhat Likely Inactive Military',
        '5' => 'Likely Inactive Military',
        '6' => 'Somewhat Unlikely Inactive Military',
        '7' => 'Very Unlikely Inactive Military',
        '8' => 'Highly Unlikely Inactive Military',
        '9' => 'Extremely Unlikely Inactive Military',
        '0' => 'Unknown / Not Attempted'
      }
      return 'Unknown' if key.size != 2 || code[key[1]].nil? || charity[key[0]].nil?
      [charity[key[0]], code[key[1]]].join(' - ')
    end

    def self.en_8581p(key)
      Experian::DataDictionary.en_8581(key)
    end
  end
end
