module Experian
  class DataDictionary
    # Luxury Car - Domestic
    def self.en_a107_column_name
      'Luxury Car - Domestic'
    end

    def self.en_a107_value_description(_key)
      ''
    end

    def self.en_a107_description
      'Auto Purchase Model Luxury Car Domestic Auto Purchase Model Luxury Car Domestic is an Experian model which predicts the likelihood that a living unit will purchase this type of vehicle in the next 6 months. Auto Purchase Models rank living units from 1 to 9 for each auto category using living unit and area level demographics. Field values beginning with 1 indicate the strongest probability. Vehicles examples in the Luxury Car Domestic category include: Cadillac CTS, Cadillac DeVille, Cadillac DTS, Cadillac STS, Lincoln MKS, Lincoln MKZ, and Lincoln Town Car'
    end

    def self.en_a107(key)
      values = {
        '1' => 'Extremely Likely',
        '2' => 'Highly Likely',
        '3' => 'Very Likely',
        '4' => 'More than Likely',
        '5' => 'Likely',
        '6' => 'Somewhat Unlikely',
        '7' => 'Very Unlikely',
        '8' => 'Highly Unlikely',
        '9' => 'Extremely Unlikely'
      }
      key.empty? ? 'Unknown' : values[key]
    end
  end
end
