module Experian
  class DataDictionary
    def self.en_d105s_column_name
      'ENH EST HH INCOME RANGES V4'
    end

    def self.en_d105s_value_description(_key)
      ''
    end

    def self.en_d105s_description
      'Enhanced Estimated Household Income Code V4 Enhanced Estimated Income is the total estimated income for a living unit, and incorporates several highly predictive individual, household, and geographical level variables including Summarized Credit Statistics. The income estimation is determined using multiple statistical methodologies to predict which of 12 income ranges a living unit is most likely to be assigned. When there is insufficient data to match a customer\'s record to ConsumerView for estimated income, a median estimated income based on the Experian modeled incomes assigned to other living units in the same ZIP+4 area is used. In the rare case that the ZIP+4 is not on the record, median income is based on the incomes assigned to other records in that ZIP region.'
    end

    def self.en_d105s(key)
      values = {
        'A' => '$1,000 - $14,999',
        'B' => '$15,000 - $24,999',
        'C' => '$25,000 - $34,999',
        'D' => '$35,000 - $49,999',
        'E' => '$50,000 - $74,999',
        'F' => '$75,000 - $99,999',
        'G' => '$100,000 - $124,999',
        'H' => '$125,000 - $149,999',
        'I' => '$150,000 - $174,999',
        'J' => '$175,000 - $199,999',
        'K' => '$200,000 - $249,999',
        'L' => '$250,000+',
        'U' => 'Unknown'
      }
      key.empty? ? 'Unknown' : values[key]
    end
  end
end
