module Experian
  class DataDictionary
    # Working Couples
    def self.en_d200_column_name
      'Working Couples'
    end

    def self.en_d200_value_description(_key)
      ''
    end

    def self.en_d200_description
      'Working Couples is a model which works to predict Living Units that are likely to have two incomes. The value appended of 2 identifies living units that are married between the ages of 19-80 and are likely to have two incomes. The value of 1 identifies living units that are either married with only 1 income, living units where there is not known data to identify if the couple is married, or living units that only have 1 adult between the ages 19-80. The value of 0 represents the individuals within the Living Unit are over the age of 80 and are not eligible to be scored.'
    end

    def self.en_d200(key)
      values = {
        '0' => 'Not eligible',
        '1' => 'Married with likely 1 income or not married',
        '2' => 'Married with likely dual incomes in living unit'
      }
      key.empty? ? 'Unknown' : values[key]
    end
  end
end
