module Experian
  class DataDictionary
    # 2000 % Population Age < 4
    def self.en_g2001_column_name
      '2000 % Population Age < 4'
    end

    def self.en_g2001_value_description(_key)
      ''
    end

    def self.en_g2001_description
      '% Population Age < 4 is a 2000 Census demographic statistic. 2000 Census data reflects information collected on 118 million housing units and 281 million people by the US Census Bureau about households and individuals within a geographic area. These statistics are provided at the lowest possible geographical level (i.e. census tract or block group). This element represents a 100-percent characteristic (short form), where a limited number of questions were asked of every person and housing unit in the United States. Information such as: household relationship, sex, age, Hispanic or Latino origin, race, tenure (whether the home is owned or rented) and vacancy characteristics.'
    end

    def self.en_g2001(key)
      return 'Unknown' if key.size != 4 || key[0...3].to_i < 0000 || key[0...3].to_i > 1000
      ((key.to_i.to_f) / 10)
    end
  end
end
