module Experian
  class DataDictionary
    # Current State Estimated Family Income Decile
    def self.en_g2514_column_name
      'Current State Estimated Family Income Decile'
    end

    def self.en_g2514_value_description(_key)
      ''
    end

    def self.en_g2514_description
      'Current state Estimated Family Income Deciles is an Experian derived statistic using current Estimated Median Household Income indexed within State and ranked on a decile basis. 2000 Census data reflects information collected on 118 million housing units and 281 million people by the US Census Bureau about households and individuals within a geographic area.'
    end

    def self.en_g2514(key)
      values = {
        '0' => 'Decile 1',
        '1' => 'Decile 2',
        '2' => 'Decile 3',
        '3' => 'Decile 4',
        '4' => 'Decile 5',
        '5' => 'Decile 6',
        '6' => 'Decile 7',
        '7' => 'Decile 8',
        '8' => 'Decile 9',
        '9' => 'Decile 10'
      }
      key.empty? ? 'Unknown' : values[key]
    end
  end
end
