module Experian
  class DataDictionary
    # 2000 CBSA Code
    def self.en_g2601_column_name
      '2000 CBSA Code'
    end

    def self.en_g2601_value_description(_key)
      ''
    end

    def self.en_g2601_description
      'CBSA (Core Based Statistical Area) Codes have been developed by the Office of Management and Budget (OMB) to re-define the 1990 Metropolitan Statistical Areas (MSA). The terms Metropolitan, Primary Metropolitan (PMSA), and Consolidated Metropolitan Statistical Areas (CMSA) have been replaced by Core Based, Micropolitan, Metropolitan, and Combined Statistical Areas and Metropolitan Divisions. These are based on county populations. The terms Primary and Consolidated Metropolitan Statistical Area are also no longer used. A Metropolitan Statistical Area has a population of 50,000 or greater. There are 49 new Metropolitan Statistical Areas defined bringing the total to 362 from the previous 313. Metropolitan Statistical Areas that have a population of 2,500,000 or greater may be further divided into Metropolitan Divisions. Eleven Metropolitan Statistical Areas have been divided into a total of 29 Metropolitan Divisions. A Micropolitan Statistical Area is a newly defined entity that has a population between 10,000 and 49,999. There are 560 Micropolitan Statistical Areas. Collectively, Micropolitan and Metropolitan Statistical Areas are referred to as Core Based Statistical Areas (CBSAs). CBSAs may be rolled up into Combined Statistical Areas (CSAs). There are presently 116 CSAs comprising 314 CBSAs. The Office of Management & Budget further notes that while cities and towns (NECTA\'s) have also been re-defined and made available (similar to 1990 standards), it recommends users adapt to county standards for consistency of comparison.'
    end

    def self.en_g2601(key)
      key.empty? ? 'Unknown' : key.to_i
    end
  end
end
