module Experian
  class DataDictionary
    # 2000 CBSA Type
    def self.en_g2602_column_name
      '2000 CBSA Type'
    end

    def self.en_g2602_value_description(_key)
      ''
    end

    def self.en_g2602_description
      'CBSA (Core Based Statistical Area) type has been developed to differntiate between Metropolitan, Micropolitan and Rural areas / CBSA codes. A Metropolitan Statistical Area has a population of 50,000 or greater. A Micropolitan Statistical Area is a newly defined entity that has a population between 10,000 and 49,999.'
    end

    def self.en_g2602(key)
      values = {
        'A' => 'Metropolitan',
        'B' => 'Micropolitan',
        'C' => 'Rural'
      }
      key.empty? ? 'Unknown' : values[key]
    end
  end
end
