module Experian
  class DataDictionary
    # 2000 Rural-Urban County Size Code
    def self.en_g2603_column_name
      '2000 Rural-Urban County Size Code'
    end

    def self.en_g2603_value_description(_key)
      ''
    end

    def self.en_g2603_description
      'Rural-Urban County Size Code Codes is a 1 position Rural/Urban continuum code from Economic Research Services. The Rural-Urban County Size Code codes are Rural-Urban Continuum Codes developed by The Economic Research Service of the U.S. Department of Agriculture (ERS/USDA). These codes distinguish counties within Metropolitan Statistical Areas (Metro) by the population of the CBSA, and counties not in Metropolitan Statistical Areas (Non-Metro)-they may be in Micropolitan Statistical Areas or not in any CBSA at all-by degree of urbanization and adjacency to one or more Metropolitan Statistical Areas. The Metro and Non-Metro counties have been subdivided into three and six subgroups, respectively, resulting in nine county classifications. This allows for analysis and selection by finer distinction than the simple Metro and Non-Metro classification, CBSA type, or Nielsen County Size Code.'
    end

    def self.en_g2603(key)
      values = {
        '1' => 'Counties in Metro Areas with population 1,000,000 or more',
        '2' => 'Counties in Metro Areas with population 250,000 - 1,000,000',
        '3' => 'Counties in Metro Areas with population less than 250,000',
        '4' => 'Urban population of 20,000 or more, adjacent to a Metro Area.',
        '5' => 'Urban population of 20,000 or more, not adjacent to a Metro Area.',
        '6' => 'Urban population of 2,500 to 19,999, adjacent to a Metro Area.',
        '7' => 'Urban population of 2,500 to 19,999, not adjacent to a Metro Area.',
        '8' => 'Completely rural or less than 2,500 urban population, adjacent to a Metro Area.',
        '9' => 'Completely rural or less than 2,500 urban population, not adjacent to a Metro Area.'
      }
      key.empty? ? 'Unknown' : values[key]
    end
  end
end
