module Experian
  class DataDictionary
    # 2010 Geo Code
    def self.en_geo6_column_name
      '2010 Geo Code'
    end

    def self.en_geo6_value_description(_key)
      ''
    end

    def self.en_geo6_description
      'Geo Codes are numeric symbols assigned for the identification of geographic entities such as state, county, tract, block, groups, etc., by the U.S. Census Bureau. Every geographic
entity recognized by the Census Bureau is assigned one or more geographic codes. A geo code is geographic presentation that shows the geographic entities in a
superior/subordinate structure. In this system of relationships among geographic entities, each entity (except the smallest one) is subdivided into lower-order units that in turn may be
subdivided further. For example, states are subdivided into counties, which are subdivided into both county subdivisions and census tracts.
State Code (2 position) States and equivalent areas. Besides the 50 states, the Census Bureau treats the District of Columbia, Puerto Rico, and the Island areas (the U.S. Virgin
Islands, Guam, American Samoa, and the Northern Mariana Islands) as state equivalents for statistical presentation.
County Code (3 positions) Counties and equivalent areas. These are the primary divisions of most states, Puerto Rico, and the Island Areas. They include counties in 48 states;
parishes in Louisiana; boroughs and census areas in Alaska; municipios in Puerto Rico; independent cities in Maryland, Missouri, Nevada, and Virginia; and other entities in the
Island Areas.
Census Tract Code (6 positions) These small statistical subdivisions (averaging about 4,000 persons) of counties generally have stable boundaries and, when first established, were
designed to have relatively homogeneous demographic characteristics.
Census Block Group (1 position) Block groups are a collection of census blocks within a census tract, sharing the same first digit of their four-digit identifying numbers.
Census Block ID (3 positions) Block ID within a block group
CBSA (5 positions) A statistically based geographic level consisting of county or counties associated with at least one area of at least 10,000 population. Source: US Office of
Management and Budget (OMB)'
    end

    def self.en_geo6(key)
      key.empty? ? 'Unknown' : key.to_i
    end
  end
end
