module Experian
  class DataDictionary
    # 2000 Geo Mandatory Append
    def self.en_l000_column_name
      '2000 Geo Mandatory Append'
    end

    def self.en_l000_value_description(_key)
      ''
    end

    def self.en_l000_description
      'The Geo mandatory append is required when any data from the geo code process (L and K file types) is appended. It consists of a match level and street match level.'
    end

    def self.en_l000(key)
      census = {
        '5' => 'Input Zip Code matched, but the Zip+4 Code did not match or was not provided as input.',
        '9' => 'Input Zip and Zip+4 Code matched the master file.',
        'S' => 'Street address match',
        'A' => 'Auxiliary file match'
      }
      street_match = {
        'Z' => 'ZIP Code not found in Street address database',
        'S' => 'Street not found in ZIP Code',
        'H' => 'House number not found on street',
        'L' => 'Lat/long not determined on Auxiliary File match'
      }
      return 'Input Zip Code did not match the master file.' if key.size == 0
      return census[key[0]] + ' - Successful match' if key.size == 1 && !census[key[0]].nil?

      [street_match[key[1]], census[key[0]]].join(' - ')
    end
  end
end
