module Experian
  class DataDictionary
    # Inc Producing Assets IPA V3
    def self.en_p213e_column_name
      'Inc Producing Assets IPA V3'
    end

    def self.en_p213e_value_description(_key)
      ''
    end

    def self.en_p213e_description
      'Income Producing Assets (IPA) is one of the models that are used to derive the P$YCLE Financial Markets. This model specifically tries to predict real worth or asset value of the household. IPA estimates affluence within ten ranges.'
    end

    def self.en_p213e(key)
      code = {
        '1' => 'Extremely Likely (Household level code)',
        '2' => 'Highly Likely (Zip 4 level code)',
        '3' => 'Likely (Zip level code)'
      }

      values = {
        '01' => 'Less than $25,000',
        '02' => '$25,000 - $49,999',
        '03' => '$50,000 - $74,999',
        '04' => '$75,000 - $99,999',
        '05' => '$100,000 - $249,999',
        '06' => '$250,000 - $499,999',
        '07' => '$500,000 - $749,999',
        '08' => '$750,000 - $999,999',
        '09' => '$1,000,000 - $1,999,999',
        '10' => '$2,000,000+',
        '00' => 'Unknown / Not Attempted',
        '99' => 'Unknown / Default'
      }

      return 'Unknown' if key.size != 3 || code[key[0]].nil? || values[key[1..2]].nil?
      [values[key[1..2]], code[key[0]]].join(' - ')
    end
  end
end
