module Experian
  class DataDictionary
    # Psycle HH V3
    def self.en_p213h_column_name
      'Psycle HH V3'
    end

    def self.en_p213h_value_description(_key)
      ''
    end

    def self.en_p213h_description
      'P$YCLE NE is a household-level segmentation system which assists marketers to predict financial behavior.'
    end

    def self.en_p213h(key)
      code = {
        '1' => 'Extremely Likely (Household level code)',
        '2' => 'Highly Likely (Zip 4 level code)',
        '3' => 'Likely (Zip level code)'
      }

      values = {
        '01' => 'The Wealth Market - Wealthy Older Mostly w/o Kids When it comes to American affluence, The Wealth Market is home to the richest addresses in the nation. Consisting of older suburban couples, this is where to find millionaires in the P$YCLE system. Most of the households boast more than $1 million in income-producing assets, and invest in a broad range of stocks, corporate/municipal bonds, mutual funds, and real estate. These consumers also excel in buying annuities and other investment-style life insurance products. In The Wealth Market, residents are known for both making money and spending money in grand style, splurging on foreign travel and cultural events as well as hiring a small army of financial managers, estate planners, and full-service brokers the better to accumulate more assets.',
        '02' => "Globetrotters - Upper Mid Mature Mostly w/o Kids Members of Globetrotters have reached an age over 65 years old and a level of financial comfort many have six-figure incomes that allow them to indulge their passion for foreign travel. Consisting mostly of suburban couples, households in this segment have amassed substantial IPA, such as variable-rate annuities, government securities, and corporate/municipal bonds. Admittedly risk-averse in their financial behavior, they buy a variety of insurance products, including long-term care, medical, and residential coverage. But playing it safe doesn't apply when it comes to exploring other countries; members of Globetrotters have been known to take more than three foreign trips a year. And many get their news about world events from US News & World Report and Condé Nast Traveler.",
        '03' => 'Business Class - Wealthy Older Mostly w/o Kids As the segment most likely to belong to a country club, Business Class is known for its lavish spending style. But many of its fifty-something executive couples have begun to divert their high incomes to build up long- neglected nest eggs. Segment households rank at the top for having Keogh plans, cash management accounts, and unit investment trusts. But they have only one-third the level of income-producing assets of The Wealth Market, and many are trying to make up for lost time by aggressively investing in stocks, mutual funds, and investment-style insurance. Located mostly in pricey suburban areas, Business Class scores high for business and pleasure travel, high-end catalog shopping, listening to classical radio, and reading business publications.',
        '04' => 'Golden Agers - Upper Mid Mature Mostly w/o Kids One of the oldest financial segments, Golden Agers is a collection of over-65-year-olds whove amassed substantial levels of IPA. These senior singles and couples, typically living in large suburban homes, tend to be fiscally conservative; they rank at the top for having corporate/municipal bonds, government securities, fixed-rate annuities, and savings accounts. In addition, theyre more than twice as likely as average Americans to own multiple annuities and long-term care insurance. Enjoying their cushy retirements, they fill their days with golf (both playing and watching), the arts, and public TV and radio. Like many affluent seniors, they leave their investment decisions to brokers at full-service brokerage firms.',
        '05' => 'Power Couples - Wealthy Older w/o Kids The most affluent Younger Years segment, Power Couples seems to have it made: six-figure incomes, designer-decorated houses, and high balances in their income-producing assets. As investors, these mostly 45- to 54-year-old couples boast retirement accounts containing a welldiversified mix of options, stocks, and mutual funds. Typically college-educated and holding management jobs, they also tend to be cultured consumers who travel the world, subscribe to publications like Forbes and Architectural Digest, and shop at swanky stores like Lord & Taylor and Nordstrom. When it comes to managing their money, however, they put their faith in the pros, exhibiting high rates for using asset managers, estate planners, and full-service brokers. Internet savvy, they track how well their investments are doing online.',
        '06' => "Civic Spirits - Midscale Mature Mostly w/o Kids They may be retired, but they're not retiring. The over-65-year-old couples who make up Civic Spirits tend to be community activists who participate in civic events, write newspaper editors, and contact elected officials at high rates. Their financial behavior is less adventurous, with households preferring investments like CDs, corporate/municipal bonds, government securities, and annuities, particularly those purchased for tax shelters. Civic Spirits members also rank high for buying long-term care insurance and residential insurance for their condos. When they're not volunteering, these Americans keep up with their civic interests by watching news programs on television, tuning in to news/talk radio stations, and reading mature market magazines.",
        '07' => 'Family Fortunes - Wealthy Middle Age w/Kids The members of Family Fortunes rank at the top in many financial categories: investing in futures and options, owning mutual funds and U.S. Savings Bonds, and acquiring first mortgages worth over $150,000. They need to: these 35- to 54-year-old suburbanites have more children than any other P$YCLE segment. With high incomes and expensive homes, they make a prime target for high-value life and homeowners insurance. No segment has more collegeeducated residents, and they enjoy an energetic lifestyle: traveling around the world, shopping at high-end department stores, owning luxury vehicles, and enjoying pricey sports like skiing and tennis. Not surprisingly, their favorite media outlets include business and travel magazines, which they read at the highest rate in the nation.',
        '08' => 'Domestic Bliss - Wealthy Older Family Mix Domestic Bliss is home to fashionable couples in their peak earning years. Consisting mostly of adults between the ages of 45 and 64, the White, Black, and Asian households in this segment report six-figure incomes and income-producing assets of over $100,000. Generally college graduates, they work in management, own their home, and hold extensive investments in stocks,mutual funds, bonds, and real estate. They have solid credit profiles and typically have second mortgages, home equity loans, and personal lines of credit, not to mention auto, term life, longterm care, and investment-style insurance policies. Active and cultured, Domestic Bliss members travel abroad, attend the theater, and enjoy tennis, golf, and skiing. With their sizable portfolios, they have high rates for using full-service brokers and estate planning services.',
        '09' => 'Big Spenders - Wealthy Middle Age Mostly w/ Kids The suburban Boomers who comprise Big Spenders are the ultimate financial jugglers. With teenagers at home and retirement looming, theyve managed to craft both enviable lifestyles and fat portfolios filled with stock options, mutual funds, securities, and bonds. Higher than average incomes help, but they also rank at the top for using home equity lines of credit and second mortgages. Big Spenders represents an attractive market for a range of insurance products: term life, auto, disability and long-term care coverage. But these dual-income households know how to enjoy their money: theyre twice as likely as average Americans to drive new cars, frequent casual dining restaurants, build basement gyms, and take frequent trips around the world. Their top-rated mediaairline magazinesserves as a guide to worldly living.',
        '10' => 'Capital Accumulators - Upper Mid Older Mostly w/o Kids Capital Accumulators is a collection of 55+ year-old suburbanites dedicated to growing their IRAs and 401(k) retirement accounts. Theyre twice as likely as average Americans to own securities, mutual funds, and real estate investments. Many households are home to white-collar professionals who have parlayed upper middle class incomes into substantial income-producing assets. They tend to lead very active lifestyles, traveling abroad, skiing at exclusive resorts, and paying for investment advice from stockbrokers and financial planners. With their brains and bucks, Capital Accumulators consume a variety of media, reading the Wall Street Journal and Cigar Aficionado, and watching pay-per-view movies at high rates.',
        '11' => 'Savvy Savers - Lower Mid Mature Mostly w/o Kids The living is easy in Savvy Savers, a segment of well-invested retirees scattered across the nations suburban and exurban communities. These cautious investors rank near the top for owning CDs, money market funds, municipal bonds, and fixed- and variable-rate annuities. Together, these assets provide them sizable nest eggs, though they pursue only midscale lifestyles, characterized by watching golf on TV and socializing at the fraternal order. These are the folks who take full advantage of senior discounts and are coupon users at drugstores, grocery stores, movie theaters, and restaurants. When they go on vacation, theyre typically value-oriented travelers who drive to a domestic destination and stay at a Comfort Inn.',
        '12' => "Feathered Nests - Wealthy Middle Age Family Mix There's money tucked away in Feathered Nests, a collection of middle-aged families with high incomes and above-average investable assets. A mix of college-educated Whites and Asians,these 35- to 54-year-olds typically hold management jobs and have begun filling their retirement accounts with mutual funds, stocks, bonds, and CDs. They're also a trong credit market, often carrying jumbo mortgages and home equity lines of credit. Insurance omnivores, they own annuities, term and whole life, disability coverage, and auto insurance for their multiple cars. And they enjoy good-life pursuits, like golfing and sailing, boutique shopping for children's toys and collectibles, and tuning their high-end TVs to ice hockey matches and public roadcasting programs. For investment tips, they read a variety of business magazines.",
        '13' => 'Annuity-ville - Lower Mid Mature Mostly w/o Kids No place has more seniors, fewer children, and a greater passion for fixed-rate annuities than Annuity-ville. These upper-middle-class suburbanites living in established communities score near the top for staid investments like government securities, CDs,and money market funds. Many members are preoccupied with preserving their wealth, and they boast high rates for having tax shelters, unit investment trusts, and cash management accounts. But theyre also willing to spend their money shopping at upscale department stores and donating to PBS. Leading somewhat sedentary lifestyles, they enjoy tuning in to news, old movies, and sports such as golf and tennis on TV.',
        '14' => 'Financial Independents - Upscale Older Mostly w/o Kids The members of Financial Independents like to go it alone. Upscale Boomers living in suburbia, they trade online, read self-help business books, and find investment ideas in The Wall Street Journal. But their investment style leans towards safety, with segment members preferring to fill their IRAs with mutual funds and money market accounts at high rates. And they offer only a middling market for insurance products, with high indices only for disability insurance, variable-rate annuities, and high-value homeowners insurance policies. Married and mostly without children at home, these professional couples have pleasant lifestyles, traveling often, shopping at warehouse clubs, and surfing the web. Their entertainment tastes reflect their inquisitive minds: talk and all-news radio, jazz and classical music, and travel and epicurean magazines.',
        '15' => "Midlife Highlife - Wealthy Younger Mostly w/ Kids Big homes, diversified retirement accounts and high-value life insurance that's the skinny on Midlife Highlife. This upscale segment is filled with investment-savvy, 25- to 44-year-old Whites and Asians who own mutual funds, stocks, stock options, and savings bonds at high rates. With their college degrees and white-collar jobs, they typically have high incomes and above-average investable assets. But because many are married and raising young children, they also score high for acquiring term life, disability, and long-term care insurance to protect their growing families. Active and sophisticated, Midlife Highlife members enjoy attending museums and dance performances, as well as going biking, backpacking, and jogging. They're also fans of the virtual world, where they buy books, trade stocks, and acquire mutual funds. 16 = Leisure Land - Lower Mid Mature Mostly w/o Kids Located in a mix of suburban and exurban communities, Leisure Land residents have below average to moderate portfolios and lower midscale incomes. These households of over",
        '16' => 'Leisure Land - Lower Mid Mature Mostly w/o Kids Located in a mix of suburban and exurban communities, Leisure Land residents have below average to moderate portfolios and lower midscale incomes. These households of over-65-year-old couples, widows, and divorcees have average educations, and home values. But theyve managed to sock away enough money to create solid investment portfoliosalbeit characterized by a conservative assortment of annuities, CDs, money market accounts, and mutual funds. As a result, they can afford to spend their time socializing at fraternal orders, and taking the occasional all-inclusive-package vacation. At home, members of Leisure Land also rank high for watching television, especially talk shows, cultural programs, and, befitting their aspirations, Who Wants to be a Millionaire?',
        '17' => 'Home Sweet Equity -Upscale Older Mostly w/o Kids Upscale incomes, above average assets, and home-owning couples make this segment an attractive market for large-balance credit products. In Home Sweet Equity, many of the 45- to 64-year-old residents are tapping the value of their older homes with home equity loans, second mortgages, and home improvement loans. With well-paying white-collar jobs, these traditionalists rank high for buying fixed-rate annuities and using credit unions and savings and loan associations. Their above- average presence in exurban areas also helps explain their fondness for hunting, power boating, and buying from mail-order catalogs. Given their busy schedules, they get what information they can about life, medical, and mortgage insurance from newspaper ads and TV and radio commercialsespecially oldies radio stations.',
        '18' => 'Travel & Antiques - Travel & Antiques comes by its name honestly: The members of this segment love both traveling and collecting, especially antiques and coins. Mostly empty-nesting couples between 55 and 64 years old, these households have filled their IRAs with a range of investments: stocks, mutual funds, CDs and money market accounts. They qualify for personal and home equity loans, and likely use them for home renovation projects. Residents of Travel & Antiques have high rates for traveling in the U.S. and abroad, favoring excursions to Britain and car trips across America. And when theyÆve returned to their suburban homes, they often take armchair journeys, reading travel magazines, watching the Travel Channel and rarely missing an installment of The Antiques Roadshow.',
        '19' => 'New Money Upscale - Middle Age Family Mix Middle age, upscale suburban and town families make up New Money, a segment of mostly thirty and forty-something households who invest heavily in stocks, futures, and mutual funds. With their college degrees and management careers, these dual-income upscale households have above average levels of income-producing assets. They also make for financially savvy consumers, trading stocks online, using credit cards with rewards programs, and getting financial ideas from investment magazines and websites. In addition to staying financially fit, New Money members also try to stay physically healthy, pursuing aerobic sports such as skiing, bicycling, and in-line skating. And they work to protect their dependents from undue financial burdens with lots of high-balance term and whole life insurance.',
        '20' => 'Comfortably Retired - Lower Mid Mature Mostly w/o Kids The members of Comfortably Retired could be poster children for living below ones means. Despite their lower-middle class incomes, these over-65 singles and couples have solid net worthmostly due to their homes. Their small investments include a well-diversified mix of conservative fixed-rate annuities, variable-rate annuities, and unit investment trusts. Together, these investments provide Comfortably Retired households with tranquil lifestyles. With a disproportionate number of residents living in exurban areas, many households enjoy pursuits such as bird watching, socializing at church, and watching TV, especially cultural and game shows. In Comfortably Retired, big-time excitement means Bingo Night.',
        '21' => 'Leveraged Life - Upper Mid Older Family Mix They may be upper-middle-class, but Leveraged Life members often maintain that status by living on credit. These older homeowners index high for having second mortgages, using home equity lines of credit, and maxing out the rewards on their charge cards. Typically having attended at least some college, they tend to earn upper midscale paychecks from white-collar jobsand carry death and disability insurance to protect them. But this group has only modest assets in conservative investments like U.S. savings bonds and Treasury bills. Fond of the outdoors, many enjoy skiing, camping, whitewater rafting, and hunting. Media-wise, members of this group enjoy watching country music TV, reading fishing and hunting magazines, and listening to classic rock radio.',
        '22' => 'Bargain Lovers = Upper Mid Middle Age w/o Kids Call them thrifty or call them economical; just dont call them cheap. The members of Bargain Lovers have upper middle class incomes and moderate levels of income-producing assets, but they still love a dealwhether its buying stocks through discount brokers or cashing in credit card rewards for free airline tickets. A mix of under 55 year-old singles and couples, these urban and suburban households are heavy users of mortgage products, high-end credit cards, and auto leases. They also fill their Roth IRAs and 401(k)s with mutual funds, stocks, and money market funds. Internet fans, they go online to bank, comparison shop, get travel information, and trade stocks. Their media tastes are also progressive: they enjoy new age music and soft rock as well as computer and sports magazines.',
        '23' => "School Daze - Upper Mid Middle Age w/ Kids
A collection of large, suburban households, School Daze represents one of the nations best markets for borrowing. These upper-middle-class families score near the top for having first mortgages, home
improvement loans, and auto loans. Yet these Gen-X parents have only begun to think about retirement, and theyve acquired only moderate levels of income-producing assets such as stocks and mutual funds.
Being in their early childrearing years, theyre a prime audience for term life insurance, which they tend to buy from independent agents whenever a new child is born. With one of the nations highest
concentrations of children, School Daze features kid-centric lifestyles characterized by minivans, toys, video games, and lots of sports. Their favorite media: parenting magazines and classic rock radio.
",
        '24' => "Corporate Climbers - Upper Mid Middle Age w/o Kids
The members of Corporate Climbers are singularly focused on their careers. Mostly 35-54 years old and childless, these educated White and Asian singles and couples have professional jobs and upper-middle-class
incomes but only moderate assets, invested mostly in mutual funds and retirement accounts. To maintain their busy lifestyle, they use credit liberally, taking out auto loans, using home equity lines of credit, and
carrying high-end credit cards with revolving
balances. They fill their leisure time with sports and entertainment: mountain biking and skiing, playing tennis and going sailing, frequenting bars and attending nightclubs. Determined to improve their financial lot,
they index high for reading self-help business books, watching Bloomberg Television, and subscribing to the Wall Street Journal.",
        '25' => "Safe at Home - Upper Mid Older Mostly w/o Kids
The members of Safe at Home are aging gracefully in financial comfort. Mostly empty-nesting couples between 45 and 64, they work in white-collar jobs and earn upper-middle-class incomes. Theyve already
amassed decent nest eggs, reporting investable assets between
$100,000 and $250,000. Though theyre fiscal conservatives who favor CDs, saving bonds, and money market funds, they buy few insurance products other than term life coverage. These mature folks pursue wide-
ranging leisure activitiesfrom reading and gardening to boating and skiing. And their media preferences are similarly eclectic: they listen to sports and oldies radio; watch CNBC and the Sci-Fi Channel, and read
travel, and computer magazines. More than three-quarters claim to have a conservative outlook.",
        '26' => "Early-Bird Specials - Lower Mid Mature Mostly w/o Kids
With their moderate net worth and lower midscale incomes, members of Early-Bird Specials have crafted comfortable retirements in their older homes. These risk-averse singles and couples have filled their
retirement accounts with government securities, fixed-rate annuities,
CDs, and money market funds. Theyve also tapped a variety of insurance productsauto, homeowners, long-term care, and whole lifefor added protection. Concentrated in exurban communities, segment
residents pursue quiet pastimes: going bird watching, reading
gardening and shelter magazines, and shopping at Sears. When dining out, they head for the local Dennys or Cracker Barrel restaurant, especially if it offers senior discounts.",
        '27' => "Conservative Couples - Downscale Mature Mostly w/o Kids
Most of the members of Conservative Couples have retiredat least those who can afford to. This mostly retired segment is filled with over-65-year-old couples who are wary investors. Their downscale incomes
and moderate income-producing assets make them only a modest
market for most financial investments other than CDs, mutual funds, and savings accounts. But they do buy a number of insurance products and rank number one for medical coverage. Located in both small town
and rural communities, these seniors pursue an easygoing lifestyle
with a fondness for bird watching, needlepoint, and belonging to Veterans clubs. When it comes to media, their tastes lean towards TV news, daytime game shows, and skating competitions.",
        '28' => "Senior Solitaire - Downscale Mature Mostly w/o Kids
The elderly singles of Senior Solitaire are Americas fiscal conservatives. One of the oldest groups in the nation, they include disproportionate numbers of veterans, widows, and nursing home residents. With
downscale incomes and below average to moderate assets, they buy low-risk investments such as CDs, annuities, and money market funds. Their advanced age also makes them a receptive audience for long-term
care insurance. But these older traditionalists care for few banking services other than direct depositing their Social Security checks; they dont even carry credit cards. Sedentary in their lifestyles, they watch a lot of
television: daytime game shows, evening newscasts, and sports like golf and skating. Just about the wildest thing they do is risk imaginary dollars on Jeopardy, one of their favorite TV shows.",
        '29' => "Retirement Ready - Midscale Older Mostly w/o Kids
The nearly-retired Americans in this segment enjoy comfortable lifestyles on middle-class incomes. Although not asset-rich, members of Retirement Ready do invest in real estate and variable-rate annuities, and
theyve built up enough home equity to take out second
mortgages, and home equity loans. Many of these singles and couples have turned high school educations into well-paying white-collar jobs. Today, they have sufficient disposable cash to make significant
purchases through L.L. Bean and QVC. Their idea of a big night out is
heading for Shoneys, which ranks at the top among this segments restaurant choices. Their media habits are also old fashioned: old movies and game show re-runs.
",
        '30' => "Fiscal Rookies - Upper Mid Younger w/o Kids
The young couples and singles of Fiscal Rookies are financially inexperienced Americans. Despite relatively high incomes, these 25- to 44-year-olds are not saving a lot of money and have only moderate levels of
income-producing assets. Many of these exurban households carry debt from student and auto loans as well as their first home mortgages, and theyve only recently begun dabbling in investment-style insurance
and mutual funds for their 401(k)s. For now, a lot
of their money supports active lifestyles and media preferences. Their top activities include skiing, in-line skating, baseball, and racquetball. When theyre not exercising, they have high rates for listening to rock
radio, reading fitness magazines, and watching comedy shows.",
        '31' => "hakis & Credit - Upper Mid Older Family Mix
Theyre a mix of families and couples, town and rural folk. But one thing the Boomer households in Khakis & Credit share is a fondness for credit to maintain their middle-class lifestyles. Many enjoy incomes that
allow them to qualify for home improvement loans,
installment credit, and auto loans for the four-plus cars that many own. And they also have high rates for using prestige credit cards. Given the mix of household types, the segment shows a wide range of leisure
activities, with above average rates for attending high school sports, buying electronic games and educational toys, as well as playing soccer and participating in civic affairs. And though Khakis & Credit members
dont own a lot of income-producing assets, many hedge their credit-happy ways by buying disability and life insurance.",
        '32' => "Family Sprawl - Upper Mid Younger w/ Kids
Their homes may be filled with tykes, bikes, and toys, but the younger, upper-middle-class families of Family Sprawl also make a solid market for financial products ranging from installment credit and U.S. savings
bonds to auto and term life insurance. Highly leveraged, these mostly thirty-something households are typically paying off mortgages and auto loans. And though many have recently opened 401(k) accounts and
Roth IRAs, they still score low for
investing in stocks, bonds, and money market funds. For now, they're inundated with childrearing expenses: This segment ranks at the top for buying children's toys, bicycles, electronic games, and videos. With
many residents having only recently moved into their first
houses, they're also big users of Internet Yellow Pages to locate retailers and insurance companies.",
        '33' => "Cut-Rate Country - Midscale Older Mostly w/o Kids
The rural Boomers in Cut-Rate Country rarely pass up a dealwhether its getting a sale price at Wal-Mart or using a Discover card for the cash-back feature. These 45- to 64-year-old couples and families with
teenagers have midscale incomes and wallets full of credit cards.
Although not asset-rich, they do own older homes and exhibit a high rate for taking out second mortgages, home improvement loans, and installment credit. They also buy insurance products like variable annuities,
homeowners insurance, and mortgage life insurance. While theyre willing to have some fun with their moneycamping and traveling in their motor homesthese persuadable consumers typically play it safe and
buy insurance on the advice of a friend or insurance agent.",
        '34' => "Online Living - Upscale Younger Family Mix
No segment scores higher for using Internet Banking than Online Living. This group of mostly 25- to 44-year-old singles, couples, and families ranks number one for stock trading, and bill paying, as well as buying at
retail websites. Many of these web-surfers live in suburban sprawl areas, own their homes and have upscale incomes, but they have only modest levels of incomeproducing assets and are still paying off student and
personal loans. They also have begun buying their first insurance policiesfor term life, disability, auto, and medical coveragetypically from online websites. When they go offline, the members of Online Living
prove to be fitness, music, and travel buffs. Their favorite media outlets are alternative rock radio, VH1, and fitness and health magazines.",
        '35' => "Hunters & Collectors - Lower Mid Older Mostly w/o Kids
It's a world where hunters reign supreme, whether their target is big game, small fish, or rare coins. Hunters & Collectors ranks at the top for collecting coins but near the bottom for most other financial activities.
These 55 plus year-old homeowners, disproportionately found in exurban communities, care little about stocks, bonds, and other investments. But they do take out personal and home improvement loans, mostly to
upgrade their older homes. And they have above-average rates for buying auto, residential, and disability insurance. For leisure, Hunters & Collectors households rank at the top for hunting and a number of other
popular country pursuits: boating, camping, and reading Country Living and Town & Country.
",
        '36' => "Paying It Down - Midscale Middle Age Family Mix
A haven for Generation-Xers pursuing energetic lifestyles, Paying It Down residents rank high for enjoying hard rock, fast cars, and all manner of outdoor activities. These diverse households a mix of families and
couples between 35 and 54 years old have middle class
incomes, below-average levels of IPA, and a slowly-awakening financial sensibility. With many residents having recently married or begun having children, they represent a solid market for life
insurance and first mortgages. But they're limited in their financial investments because theyre still paying off credit card balances, installment credit, and personal and auto loans. Found in communities all over the
map, they enjoy a range of leisure activities, from baseball and basketball to skating, camping, and biking.",
        '37' => "Rural Roots - Upper Mid Middle Age Mostly w/ Kids
Cash-rich but asset-poor, Rural Roots is a collection of 35- to 54-year-old homeowners raising large families out in the country. Racially mixed with some college education, the members of this segment have mid to
upper middle class incomes but low income-producing assets. Many of these families have no tradition for investing in the stock market, and they rank low for owning stocks, bonds, and mutual funds. However, Rural
Roots does make a strong market for debt products, showing high indices for using auto loans, home mortgages, and installment credit. Kid-centered in their lifestyles, Rural Roots households buy lots of toys, eat at
fast-food
restaurants, and enjoy going bowling. When it comes to media, they score high for parenting magazines, Nick at Night, and contemporary radio.",
        '38' => "Old Homesteaders - Downscale Mature Mostly w/o Kids
Old Homesteaders should not be confused with Old Money. The segment has one of the highest concentrations of nursing home residents in the nation. Nearly three-quarters of these elderly singles and couples
have extremely low incomes and many depend on Medicaid and
their monthly Social Security checks for survival. With income-producing assets only onethird the national average, they buy few financial products other than CDs. However, they do own low-balance insurance
products and boast the highest indices for life insurance valued under $20,000 and homeowners insurance valued under $25,000. Home centered, they tend to watch a lot of television, especially news, game shows,
and 700 Club.",
        '39' => "ATM Nation - Midscale Middle Age Mostly w/o Kids
As hip as they are, the members of ATM Nation are, nevertheless, financially unsophisticated. Many of these city apartment dwellers boast midscale incomes and have yet to accumulate appreciable assets. They
rarely set foot inside banks, preferring to use ATMs and online billpaying when accessing their interest-bearing checking accounts. They also prefer to go online to buy a handful of insurance productsauto, term life,
and renters insurance. Despite paying off student and personal loans, ATM Nation residents live rich lives offline, showing high indices for traveling nationally, going skiing, whitewater rafting, and backpacking. When
it comes to media, this segment scores high for listening to NPR, watching the Late Show w/ David Letterman, and reading: favorites include Elle, Vanity Fair, and The New York Times.",
        '40' => "Timeless Tenants - Midscale Older Mostly w/o Kids
Theyre over 55, closing in on retirement, and rent their homes, but the members of Timeless Tenants boast solid middle-class incomes. After having attended college and worked at a variety of white-collar jobs,
many are now receiving healthy pensions. Though they own few
income-producing assets like stocks, bonds, and mutual funds, they're more likely than average to have CDs, collectibles, and liquid savings. And they often make use of bank offerings like credit cover their
expenses. Their insurance needs are typically limited to
renters insurance and auto insurance. But they live comfortably, taking home study courses, buying collectibles, and playing the lottery all at above average rates. And their media tastes
reflect an educated mindset, favoring Smithsonian and Metropolitan Home magazines and PBS and CNN on TV.",
        '41' => "Finance Chargers - Midscale Middle Age Mostly w/ Kids
Small-town, working-class families characterize Finance Chargers, a segment whose households are asset-light and loan-heavy. These lower-middle-class, 35- to 54-year-old homeowners use a range of installment
credit and finance productsincluding auto, home improvement, and personal loans. Many are blue-collar workers employed in farming and construction, and they're typically conservative in their financial behavior.
Members of Finance Chargers rank near the bottom for acquiring stocks and mutual funds though they do have respectable rates for owning auto, accidental death and dismemberment insurance. Most households
are more concerned with
the costs of raising kidsdevoting their funds to toys, games, and family media. This segment ranks high for parenting magazines and religious radio.
",
        '42' => "Sunset Times - Low Income Mature Mostly w/o Kids
With incomes and assets significantly below the national average, Sunset Times qualifies as a weak financial market at best. This group is dominated by elderly, racially mixed singles and couples, with a high
concentration of retirees. Other than owning their relatively low-value homes, they possess few retirement, investment, or credit products. And like other seniorfilled segments, Sunset Times ranks high for Social
Security direct deposits. Their insurance coverage is limited to low-balance whole life, auto, residential, and funeral expense policies. And though they engage in few activities above the national average, they're
more likely than the general population to play bingo, hunt, and belong to veterans clubs and fraternal orders.
They also enjoy listening to gospel radio, reading fraternal magazines, and watching soaps, comedy, and news.",
        '43' => "Payday Prospects - Midscale Middle Age Family Mix
They may earn midscale salaries, but members of the Payday Prospects segment often find themselves living paycheck to paycheck. This ethnically mixed group of singles and small families tend to rent their
exurban homes, many of which are mobile homes. With some college
education, they work at white-collar or service industry jobs. But many are saddled with student, personal, and auto loans, and they own few investments or insurance products beyond renters and auto coverage.
Young at heart, they exhibit high rates for going to bars, dance clubs, movie theaters, and billiards halls. And their fondness for ATMs, no-interest checking, and online banking reflects their footloose lifestyle. But
their fear of outlasting their retirement savings leads them to read the Wall Street Journal, subscribe to Barrons, and tune in Bloomberg Television.",
        '44' => "Homespun Families - Midscale Middle Age Family Mix
Homespun Families is a classic country lifestyle. Its 35- to 54-year-old homeowners, including a disproportionate number of farm families, are big fans of pickup trucks, country music, and outdoor sports like hunting
and fishing. Financially, theyre a strong credit market, with high rates for using installment credit, mortgages, home improvement loans, and auto loans for their multiple vehicles. What they lack in income-producing
assets, these middle-class households
make up in a variety of insurance productsbuying residential, mortgage, auto, and accidental death and dismemberment coverage. While many of these policies are bought through a bank or
farm bureau, segment members also are loyal consumers, faithful to their insurance agentswhether independents or single-company representatives.",
        '45' => "Greenback Acres - Lower Mid Older Family Mix
In Greenback Acres, cash is king. With its lower middle class incomes and low levels of income-producing assets, this segment has relatively few investments, retirement savings, or even credit card debt. But these
45- to 64-year-old Americans do own modest homes
their homeowners insurance is for under $100,000which theyve used to land home improvement loans. And they show solid indices for buying auto, residential, credit card, and mortgage insurance. Greenback
Acres has a high concentration of rural households,
and its households like to buy insurance through farm bureaus, banks, and credit unions. This segments ranks high for owning pets, and fishing gear, but in this segment, they pay for everything with cash.",
        '46' => "Settling Down - Midscale Middle Age Family Mix
Settling Down contains middle-aged apartment dwellers living mostly in the metropolitan sprawl. A mix of races, ethnicities and family types, members have midscale incomes but low levels of income-producing
assets. Heavy users of installment credit, theyre fans of auto loans, and online banking. With average educations, Settling Down members work at white-collar and service jobsand own disability and death
insurance to protect their family income. They also
have high rates for acquiring term life, renters and auto insurance. With family-centered lifestyles, they enjoy playing baseball, going to movies and buying toys and DVDs. This group also makes a strong market for
gaming and parenting magazines, MTV and Comedy Central
cable channels and Hispanic and contemporary hit radio.",
        '47' => "Middle Ages - Lower Mid Older Family Mix
The members of Middle Ages paint a portrait of diversity. Racially mixed couples and families, these working-class rural households share low indices for many investment products and banking services. Instead,
they look to the insurance industry for investmentstyle
insurance, and they leverage the value of their homes for personal and home improvement loans. Mostly 45 to 64 years old, Middle Ages residents pursue comfortable if low-key lifestyles. For leisure, they enjoy
fishing, horse races, going online, and dining at fast-food restaurants. This segment ranks near the top for a variety of mainstream and black-oriented media: nightly news, BET, and the Dr. Phil Show as well as Soap
Opera Digest, and Black Enterprise.
",
        '48' => "New Nests Upper - Mid Younger Mostly w/ Kids
Living in small cities and towns, the young families in New Nests are experiencing many firsts. These households rank at the top for acquiring their first mortgages, auto loans, and installment
credit for furnishing their first homes. Most are still too young to have amassed many assets, but their midscale incomes allow them to lead home-centered lifestyles filled with toys and games, aerobic exercise,
chess, and shopping on eBay. Theyre big Internet fans, frequenting websites that sell term and whole life insurance. And their off-line media tastes reflect their youthful sensibilities as well. Theyre twice as likely
as average Americans to read baby and parenting magazines, and more likely than the general population to listen to country and rock radio, and watch VH1 and the Cartoon Network.",
        '49' => "Loan Rangers - Midscale Younger Family Mix
Loan Rangers is a group of 25- to 44-year-old singles, couples, and families leading mobile lifestyles. These households form one of the top-ranked markets for student loans and new car insurance, and they show
strong indices for personal loans, installment credit, and interest checking. With their midscale incomes and low levels of income-producing assets, members of Loan Rangers are blasé about investing for retirement.
However, they do buy a variety of
insurance products, including medical and disability coverage, in part because theyve recently changed jobs or apartments. Away from work, they enjoy drinking, dancing, going online, and checking out rap radio or
music magazines.",
        '50' => "Urban Essentials - Lower Mid Middle Age Family Mix
The households of Urban Essentials are significant in what they dont do financially. With their lower income wages and low levels of assets, they rank at the bottom for savings, investments, and retirement
accounts. And many of these urban renters go without auto, life, or medical insurance as well. A racially diverse mix of younger urban singles, couples, and families, this group is generally limited in its financial
behavior to using debit cards at ATMs. They rarely buy insurance other than renters or disability coverage. Some members of Urban Essentials are starting to raise children and they enjoy purchasing kids toys and
reading parenting magazines. This segment also ranks high for listening to gospel music, and consuming all types of Black and Hispanic oriented media.",
        '51' => "Starter Ranches - Lower Mid Younger Mostly w/ Kids
Theyre young, living in small towns, and working class. The households in Starter Ranches tend to have much less income-producing assets than that of the average Americanand it shows. These 25- to 44-year-
old couples and families rank near the bottom for owning stocks, mutual funds, and savings accounts. Many are still paying off
student loans on top of new car loans, mortgages, and installment credit. Like other young consumers, theyve taken to automated financial services such as debit cards, banking over the phone, and ATM
machines. But they will go inside a bank or credit union to purchase homeowners and whole life insurance. Preoccupied with early childrearing, Starter Ranches residents enjoy outdoor sports like fishing and
camping, and indoor media such as baby magazines, country radio, and TV wrestling.",
        '52' => "Country Cottages - Low Income Older Mostly w/o Kids
Typically found in rural and small-town settings, Country Cottages epitomizes oldfashioned, unpretentious living. Consisting mostly of ethnically diverse singles and couples over 45, they report lower incomes and low
income-producing assets. Because threequarters
of Country Cottages members no longer work, they cant afford most investment instruments and dont qualify for many credit and debt products. Even their insurance coverage is limited. Cash-and-carry
consumers, they have little interest in online banking but occasionally parlay their money by betting on a horse race or bingo. And like other older segments, Country Cottages ranks high for watching television,
especially early evening newscasts, soaps and comedy and variety shows.",
        '53' => "Social Insecurity - Low Income Mature Mostly w/o Kids
The most downscale of the mature segments, Social Insecurity is filled with ethnically diverse widows and widowers who rely on Social Security and Medicare/Medicaid for survival. With extremely low incomes and
income-producing assets, these elderly singles barely register for owning stocks, mutual funds, and real estate investments. Nor can they muster the funds to buy insurance products other than some medical and
whole life policies acquired earlier in
their working lives. Financially strapped, most Social Insecurity residents lead quiet lifestyles in their older city apartments: there's little money for travel, nightlife, or dining out. Instead,
this segment is the top-ranked audience for daytime television, particularly game shows, Spanish language shows, and soaps.
",
        '54' => "City Strivers - Midscale Younger Family Mix
Filled with younger apartment dwellers, City Strivers consists mostly of under-35 year olds with lower-middle-class to midscale incomes and few income-producing assets. Diverse in both ethnicity and family type,
most attended college and now work at a mix of white-collar and
service jobs. But their entry-level salaries don't go far, and many are paying off student, car and personal loans. With a majority having children, theyre also preoccupied with the here-and-now
expenses of early childrearing; few tend to have long-term investments, retirement savings or life insurance. This segment scores high for going to movies, roller skating, playing volleyball,
dancing and buying family-friendly toys. City Strivers members can be found reading gaming and baby magazines; listening to rock and Hispanic radio; and watching reality TV shows.",
        '55' => "Getting-By Blues - Low Income Older Mostly w/o Kids
Life can be a financial challenge in Getting-By Blues. An ethnically diverse segment of 45- to 64-year-olds, they typically rent older apartments in urban and second-city neighborhoods. With low incomes and few
assetsabout two-thirds are unemployed these consumers rank near the bottom for most banking and insurance products. But they
do exhibit above-average rates for owning renters and whole life insurance. Pursuing quiet lifestyles, they enjoy camping, renting videos, and reading about their favorite form of entertainmentsoap operas.",
        '56' => "Economizers Downscale - Middle Age Family Mix
With nearly all its households earning under $30,000 a year, Economizers is one of the nations poorest financial groups. These racially mixed singles and single-parent families have few investments or other
assets. Typically living in apartments in big-city neighborhoods, they show low indices for buying most insurance products other than low value renters, car, and whole life insurance. And Economizers households
have little discretionary cash for traveling, dining out, or enjoying big-ticket sports. With a lifestyle
influenced by the presence of young children, this segment ranks near the top for a variety of ethnic- and family-targeted media: watching TV wrestling and BET, reading baby and parenting magazines, and listening
to gospel radio.",
        '57' => "Young Urban Renters - Downscale Younger Family Mix
Young Urban Renters ranks near the bottom for income and income-producing assets. Members of this segment are younger, single, and ethnically diverse. Many are raising small children in one parent households.
Theyre still paying off student and personal loans as well as installment credit used to furnish their new city apartments. Despite having low rates for buying insurance products, consumers here have begun
exploring auto, medical, and renters coverage. With their limited financial resources, theyre much more likely than average Americans to spend their leisure time indoorslistening to the radio or going online to
visit chat rooms and job websites.
Young Urban Renters is one of the top segments for reading music, parenting, and womens fashion magazines.",
        '58' => "Bottom-Line Blues - Low Income Middle Age Family Mix
Bottom-Line Blues is the most financially challenged of all P$YCLE segments. No segment has fewer income-producing assets, and few rank lower when it comes to income or home ownership. Concentrated in
inner-city neighborhoods, the segment is the address for mostly
younger, multi-ethnic singles and single-parent families living in low-cost apartments. Many residents have low educations and insecure jobs, surviving on cash instead of bank or insurance products. Surveys show
that members of Bottom-Line Blues have modest ifestyles, spending their leisure time going online, eating at fast-food restaurants, and listening to music. This segment ranks number one for tuning in to black-
oriented media, including BET, urban
contemporary radio, and magazines like Jet, Essence, and Ebony."
      }
      return 'Unknown' if key.size != 3 || code[key[0]].nil? || values[key[1..2]].nil?
      [values[key[1..2]], code[key[0]]].join(' - ')
    end
  end
end
