module Experian
  class DataDictionary
    # Net Worth V3
    def self.en_p213w_column_name
      'Net Worth V3'
    end

    def self.en_p213w_value_description(_key)
      ''
    end

    def self.en_p213w_description
      'Net Worth is defined as a household\'s total financial assets minus its liabilities. Assets include financial holdings such as deposit accounts, investments and home value. Liabilities include loans, mortgages and credit card debt.'
    end

    def self.en_p213w(key)
      code = {
        '1' => 'Extremely Likely (Household level code)',
        '2' => 'Highly Likely (Zip 4 level code)',
        '3' => 'Likely (Zip level code)'
      }
      values = {
        '01' => '$0 - $24,999',
        '02' => '$25,000 - $49,999',
        '03' => '$50,000 - $74,999',
        '04' => '$75,000 - $99,999',
        '05' => '$100,000 - $149,999',
        '06' => '$150,000 - $249,999',
        '07' => '$250,000 - $499,999',
        '08' => '$500,000 - $749,999',
        '09' => '$750,000 - $999,999',
        '10' => '$1,000,000+',
        '00' => 'Unknown / Not Attempted',
        '99' => 'Unknown / Default'
      }

      return 'Unknown' if key.size != 3 || code[key[0]].nil? || values[key[1..2]].nil?
      [values[key[1..2]], code[key[0]]].join(' - ')
    end
  end
end
