module Experian
  class DataDictionary
    # GreenAware
    def self.en_p400_column_name
      'GreenAware'
    end

    def self.en_p400_value_description(_key)
      ''
    end

    def self.en_p400_description
      'GreenAware Segmentation targeting system includes attitudes, opinions, lifestyle, buying behavior, and media usage. Based on the distinctive mindset of consumers towards the environment, we can better
understand four distinct consumer segments:
1. Behavioral Greens: This group of people thinks and acts green, holds negative attitudes toward products that pollute, incorporate green practices on a regular basis.
2. Think Greens: This group of people thinks green but does not necessarily act green.
3. Potential Greens: They neither behave nor think along particularly environmentally conscious lines, and remain on the fence about key green issues.
4. True Browns: these groups of people are not environmentally conscious, and may in fact have negative attitudes about green movement.
'
    end

    # GreenAware Tiers
    def self.en_p400a_column_name
      'GreenAware Tiers'
    end

    def self.en_p400a_value_description(_key)
      ''
    end

    def self.en_p400a_description
      'GreenAware Segmentation targeting system includes attitudes, opinions, lifestyle, buying behavior, and media usage based on the distinctive mindset of consumers toward the Environment. GreenAware Tiers offers
ten levels of additional ranking detail for each of the four GreenAware segments which include: Behavioral Greens, Think Greens, Potential Greens and True Browns. The higher the number within the index, the
more likely the prospect will fit the profile within that segment.
GreenAware and GreenAware Tiers are created utilizing ConsumerView demographics and Simmons Market Research data and offer an even higher level of refinement to improve targeting, prospecting and overall
campaign effectiveness.'
    end

    def self.en_p400(key)
      values = {
        '1' => 'Behavioral Greens',
        '2' => 'Think Greens',
        '3' => 'Potential Greens',
        '4' => 'True Browns',
        '0' => 'Unknown'
      }
      key.empty? ? 'Unknown' : values[key]
    end

    def self.en_p400a(key)
      values = {
        '01' => 'thru 10 Behavioral Greens',
        '11' => 'thru 20Think Greens',
        '21' => 'thru 30Potential Greens',
        '31' => 'thru 40True Browns',
        '00' => 'Unknown'
      }
      key.empty? ? 'Unknown' : values[key]
    end
  end
end
