module Experian
  class DataDictionary
    # Discretionary Spend Estimate
    def self.en_t2000_column_name
      'Discretionary Spend Estimate'
    end

    def self.en_t2000_value_description(_key)
      ''
    end

    def self.en_t2000_description
      'Discretionary Spend Estimate predicts the dollar estimate of annual spend on non-essential, discretionary expenses such as household furniture, alcohol and tobacco, donations, dining out, education, reading, personal care and entertainment (fees, audio/visual equipment, toys, hobbies, pets, playground equipment and other equipment). Represents an actual dollar amount.'
    end

    def self.en_t2000(key)
      values = {
        '4' => 'Zip+4 level data',
        'L' => 'Living unit level data',
        'Z' => 'Zip level data'
      }
      return 'Unknown' if key.size != 6 || values[key[0]].nil? || key[1..6].to_i < 888 || key[1..6].to_i > 87_900
      [values[key[0]], [key[1..6]]].join(' - ')
    end
  end
end
