module Experian
  class DataDictionary
    # Census Demographic Match Level Mandatory Append
    def self.en_y000_column_name
      'Census Demographic Match Level Mandatory Append'
    end

    def self.en_y000_value_description(_key)
      ''
    end

    def self.en_y000_description
      'The Census Demographic Match Level mandatory append is required when any 2000 Census demographic data is appended. It consists of a match level.'
    end

    def self.en_y000(key)
      values = {
        'S' => 'Census State',
        'C' => 'Census County',
        'T' => 'Census Tract',
        'B' => 'Census Block Group'
      }
      key.empty? ? 'Non-match' : values[key]
    end
  end
end
